(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    150150,       3948]
NotebookOptionsPosition[    142693,       3808]
NotebookOutlinePosition[    143172,       3826]
CellTagsIndexPosition[    143129,       3823]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Source code", "Chapter",
 CellChangeTimes->{{3.8605730733007984`*^9, 3.860573075891358*^9}, {
  3.860814193068145*^9, 3.860814195411731*^9}, {3.8636577947096*^9, 
  3.8636577962555914`*^9}, {3.873433833212618*^9, 3.873433836876337*^9}, {
  3.937991571714971*^9, 3.9379915734787493`*^9}},
 Background->GrayLevel[
  0.85],ExpressionUUID->"aeac0ebd-c6c0-4629-9f43-d445a9482abe"],

Cell[CellGroupData[{

Cell["Input parameters and basic functions", "Section",
 CellChangeTimes->{{3.860573093009276*^9, 3.860573100411968*^9}, {
  3.862646415757121*^9, 
  3.862646418803786*^9}},ExpressionUUID->"f2c4703d-5fb7-4d02-9561-\
ac64f41b7952"],

Cell[CellGroupData[{

Cell["Input constants", "Subsection",
 CellChangeTimes->{{3.862646445921959*^9, 3.862646478742617*^9}, {
  3.93791517850572*^9, 
  3.937915180511984*^9}},ExpressionUUID->"146fe5b3-41e0-407d-a8b3-\
070b5b51b481"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Source", ":", " ", "PDG"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"in", " ", "GeV", " ", "units"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Widths", " ", "for", " ", "decays"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"gammaW", "=", "2.085"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gammaZ", "=", "2.4952"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Pole", " ", "masses"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MZ", "=", "91.1876"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MW", "=", "80.38"}], " ", ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MHiggs", "=", "125.1"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mtau", "=", "1.777"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mmuon", "=", "0.106"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mtop", "=", "173.1"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mbottom", "=", "4.93"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     SubscriptBox["M", "c"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["M", "b"], "-", 
       RowBox[{"3.41", " ", "GeV"}]}], " ", "=", " ", "1.52"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mcharm", "=", "1.52"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Running", " ", "quark", " ", "masses", " ", 
     SubscriptBox[
      OverscriptBox["m", "_"], "q"], 
     RowBox[{"(", 
      SubscriptBox["M", "q"], ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mcmc", "=", "1.28"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mc3gev", "=", "0.986"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mbmb", "=", "4.18"}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ms2gev", "=", "0.093"}], " ", ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.860573165039033*^9, 3.8605732348620462`*^9}, {
   3.860573334546847*^9, 3.860573347603998*^9}, {3.860573529593119*^9, 
   3.860573568526885*^9}, {3.860573662166901*^9, 3.860573713134457*^9}, {
   3.860573801386599*^9, 3.860573879581057*^9}, {3.860573915627003*^9, 
   3.8605739168428597`*^9}, {3.860573992617053*^9, 3.860573996056928*^9}, {
   3.860577364555998*^9, 3.860577367462595*^9}, {3.8605774116862493`*^9, 
   3.860577497426576*^9}, {3.860577533284412*^9, 3.8605775533108406`*^9}, {
   3.860577628288481*^9, 3.86057767658124*^9}, {3.860577745528299*^9, 
   3.860577793381474*^9}, {3.8616762761451726`*^9, 3.861676280238635*^9}, {
   3.861676460210314*^9, 3.861676523049673*^9}, {3.861792389947912*^9, 
   3.861792421643121*^9}, {3.861792481266134*^9, 3.861792487410635*^9}, {
   3.8618549578452587`*^9, 3.861855010807905*^9}, {3.861942035760886*^9, 
   3.8619420679855003`*^9}, {3.861942157865834*^9, 3.861942164222215*^9}, {
   3.862293083034203*^9, 3.8622931092345734`*^9}, {3.862310795932401*^9, 
   3.8623108117488427`*^9}, {3.862311666057924*^9, 3.862311731133149*^9}, {
   3.862311833417054*^9, 3.862311837145117*^9}, {3.862312902452563*^9, 
   3.862312915784762*^9}, {3.862318032084605*^9, 3.862318034426047*^9}, {
   3.8623888927109356`*^9, 3.8623889660074883`*^9}, {3.862389052140339*^9, 
   3.8623890762167826`*^9}, {3.862389196615413*^9, 3.8623892917758217`*^9}, {
   3.862389932719408*^9, 3.862389933290201*^9}, 3.862390073522271*^9, {
   3.8623903253804865`*^9, 3.862390348681991*^9}, {3.8623904173650317`*^9, 
   3.862390424426982*^9}, {3.862565330314463*^9, 3.862565342443099*^9}, {
   3.862646133342743*^9, 3.86264637625268*^9}, {3.862646490407771*^9, 
   3.862646547695957*^9}, {3.862889620752387*^9, 3.8628896875950394`*^9}, {
   3.8628897457357593`*^9, 3.862889774680443*^9}, {3.863354318316514*^9, 
   3.863354348280773*^9}, {3.863354597308139*^9, 3.86335461121504*^9}, {
   3.863496166465987*^9, 3.8634961767679696`*^9}, {3.937915046295498*^9, 
   3.937915085158725*^9}, {3.937916230568619*^9, 3.937916234012241*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"995f432b-f1c8-497f-aa89-7d344b881123"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Fermi", " ", "couplings", " ", "and", " ", "Higgs", " ", "vev"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Gf", "=", " ", 
     RowBox[{"1.16638", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "5"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vH", "=", 
     SqrtBox[
      FractionBox["1", 
       RowBox[{
        SqrtBox["2"], "Gf"}]]]}], ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.937915189945322*^9, 3.9379151998217525`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"4f713a29-04d9-734c-82e2-97d4e6da0cbe"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Weak", " ", "mixing", " ", "angle"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"cw", "=", 
     RowBox[{"MW", "/", "MZ"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sw", "=", 
     SqrtBox[
      RowBox[{"1", "-", 
       SuperscriptBox["cw", "2"]}]]}], ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.937915238662356*^9, 3.937915246326939*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"44bfb4a4-2c7d-0846-bac6-2b51f18b8938"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"alpha_EM", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Q", "^", "2"}], " ", "=", " ", "0"}], ")"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"alphaEM", "=", 
    RowBox[{"1", "/", "137.036"}]}], ";"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.937915261330273*^9, 3.9379152719097824`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"59ad15e3-4d76-d04d-aaa0-0ebe02c68265"]
}, Closed]],

Cell[CellGroupData[{

Cell["QCD input", "Subsection",
 CellChangeTimes->{{3.862646445921959*^9, 
  3.8626465095803366`*^9}},ExpressionUUID->"85777746-52e0-4330-b975-\
729f0a0d4300"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Lambda_QCD", " ", "fit", " ", "for", " ", "the", " ", "three"}], 
    "-", 
    RowBox[{"loop", " ", "alpha_s"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"LambdaQCD", "[", "Q_", "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.2924", " ", ",", 
         RowBox[{"Q", "<", " ", "mbottom"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.2084", " ", ",", 
         RowBox[{"mbottom", "\[LessEqual]", "  ", "Q", "<", " ", "mtop"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.0882", " ", ",", 
         RowBox[{"mtop", "\[LessEqual]", "  ", "Q"}]}], "}"}]}], "}"}], 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"logQCD", "[", "mu_", "]"}], ":=", 
    RowBox[{"Log", "[", 
     RowBox[{
      SuperscriptBox["mu", "2"], "/", 
      SuperscriptBox[
       RowBox[{"LambdaQCD", "[", "mu", "]"}], "2"]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Number", " ", "of", " ", 
     RowBox[{"colors", ":", " ", "Ncol"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Ncol", "=", "3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Number", " ", "of", " ", "light", " ", 
     RowBox[{"flavours", ":", " ", "NFl"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NFl", "=", "5."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Number", " ", "of", " ", "active", " ", "flavours", " ", "at", " ", 
     "scale", " ", 
     RowBox[{"Q", ":", " ", 
      RowBox[{"nf", "[", "Q", "]"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nf", "[", "Q_", "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4.", ",", 
         RowBox[{"Q", "<", " ", "mbottom"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5.", ",", 
         RowBox[{"mbottom", "\[LessEqual]", "  ", "Q", "<", " ", "mtop"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"6.", ",", 
         RowBox[{"mtop", "\[LessEqual]", "  ", "Q"}]}], "}"}]}], "}"}], 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"QCD", " ", "beta", " ", "functions"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Source", ":", " ", 
     RowBox[{"Larin", " ", "@", " ", "arXiv"}], ":", 
     RowBox[{"hep", "-", 
      RowBox[{"ph", "/", "9302208"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"b0", "[", "nf_", "]"}], ":=", 
     RowBox[{"11", "-", 
      RowBox[{
       FractionBox["2", "3"], "*", "nf"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"b1", "[", "nf_", "]"}], ":=", 
     RowBox[{"51", "-", 
      RowBox[{
       FractionBox["19", "3"], "*", "nf"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"b2", "[", "nf_", "]"}], ":=", 
     RowBox[{"2857", "-", 
      RowBox[{
       FractionBox["5033", "9"], "nf"}], "+", 
      RowBox[{
       FractionBox["325", "27"], "*", 
       SuperscriptBox["nf", "2"]}]}]}], ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.862646528299195*^9, 3.86264652898658*^9}, {
   3.86288932863989*^9, 3.862889329743541*^9}, {3.862889973000679*^9, 
   3.862889983297383*^9}, {3.863354930469882*^9, 3.863354946445295*^9}, {
   3.863355104612584*^9, 3.8633551074354105`*^9}, {3.86349393772938*^9, 
   3.863493949536662*^9}, {3.863495240510227*^9, 3.863495287452918*^9}, {
   3.863495321873379*^9, 3.8634953444335823`*^9}, 3.863495375971449*^9, 
   3.863496331178844*^9, {3.937915114718384*^9, 3.9379151484050865`*^9}, {
   3.937916242395937*^9, 3.937916244832608*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"e786ee44-db52-4d90-8167-9ac0c3294ea3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Three", "-", 
    RowBox[{"loop", " ", "running", " ", "alpha_S", " ", "with", " ", 
     SubscriptBox["\[CapitalLambda]", 
      RowBox[{"QCD", " "}]], "fit", " ", "at", " ", "thresholds"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"alphaStr", "[", "mu_", "]"}], ":=", 
    RowBox[{
     FractionBox[
      RowBox[{"4", " ", "Pi"}], 
      RowBox[{
       RowBox[{"b0", "[", 
        RowBox[{"nf", "[", "mu", "]"}], "]"}], "*", 
       RowBox[{"logQCD", "[", "mu", "]"}]}]], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", 
        FractionBox[
         RowBox[{"b1", "[", 
          RowBox[{"nf", "[", "mu", "]"}], "]"}], 
         SuperscriptBox[
          RowBox[{"b0", "[", 
           RowBox[{"nf", "[", "mu", "]"}], "]"}], "2"]], "*", 
        FractionBox[
         RowBox[{"Log", "[", 
          RowBox[{"logQCD", "[", "mu", "]"}], "]"}], 
         RowBox[{"logQCD", "[", "mu", "]"}]]}], "+", 
       RowBox[{
        FractionBox[
         RowBox[{"4", 
          SuperscriptBox[
           RowBox[{"b1", "[", 
            RowBox[{"nf", "[", "mu", "]"}], "]"}], "2"]}], 
         RowBox[{
          SuperscriptBox[
           RowBox[{"b0", "[", 
            RowBox[{"nf", "[", "mu", "]"}], "]"}], "4"], 
          SuperscriptBox[
           RowBox[{"logQCD", "[", "mu", "]"}], "2"]}]], 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"logQCD", "[", "mu", "]"}], "]"}], "-", 
             FractionBox["1", "2"]}], ")"}], "2"], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"b2", "[", 
             RowBox[{"nf", "[", "mu", "]"}], "]"}], "*", 
            RowBox[{"b0", "[", 
             RowBox[{"nf", "[", "mu", "]"}], "]"}]}], 
           RowBox[{"8", "*", 
            SuperscriptBox[
             RowBox[{"b1", "[", 
              RowBox[{"nf", "[", "mu", "]"}], "]"}], "2"]}]], "-", 
          FractionBox["5", "4"]}], ")"}]}]}], ")"}]}]}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Three", "-", 
     RowBox[{
     "loop", " ", "running", " ", "alpha_S", " ", "with", " ", "with", " ", 
      "an", " ", "effective", " ", "5"}], "-", 
     RowBox[{"flavour", " ", "theory"}]}], " ", "*)"}], "\[IndentingNewLine]",
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"logQCD2", "[", "mu_", "]"}], ":=", 
    RowBox[{"Log", "[", 
     RowBox[{
      SuperscriptBox["mu", "2"], "/", 
      SuperscriptBox[
       RowBox[{"LambdaQCD", "[", "100.", "]"}], "2"]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"alphaStrLight", "[", "mu_", "]"}], ":=", 
    RowBox[{
     FractionBox[
      RowBox[{"4", " ", "Pi"}], 
      RowBox[{
       RowBox[{"b0", "[", "NFl", "]"}], "*", 
       RowBox[{"logQCD2", "[", "mu", "]"}]}]], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", 
        FractionBox[
         RowBox[{"b1", "[", "NFl", "]"}], 
         SuperscriptBox[
          RowBox[{"b0", "[", "NFl", "]"}], "2"]], "*", 
        FractionBox[
         RowBox[{"Log", "[", 
          RowBox[{"logQCD2", "[", "mu", "]"}], "]"}], 
         RowBox[{"logQCD2", "[", "mu", "]"}]]}], "+", 
       RowBox[{
        FractionBox[
         RowBox[{"4", 
          SuperscriptBox[
           RowBox[{"b1", "[", "NFl", "]"}], "2"]}], 
         RowBox[{
          SuperscriptBox[
           RowBox[{"b0", "[", "NFl", "]"}], "4"], 
          SuperscriptBox[
           RowBox[{"logQCD", "[", "mu", "]"}], "2"]}]], 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"logQCD", "[", "mu", "]"}], "]"}], "-", 
             FractionBox["1", "2"]}], ")"}], "2"], "+", 
          FractionBox[
           RowBox[{
            RowBox[{"b2", "[", "NFl", "]"}], "*", 
            RowBox[{"b0", "[", "NFl", "]"}]}], 
           RowBox[{"8", "*", 
            SuperscriptBox[
             RowBox[{"b1", "[", "NFl", "]"}], "2"]}]], "-", 
          FractionBox["5", "4"]}], ")"}]}]}], ")"}], "   "}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.862889353225769*^9, 3.8628894529776025`*^9}, {
   3.8634953530124054`*^9, 3.8634954589630136`*^9}, {3.863496236145961*^9, 
   3.863496251142522*^9}, 3.863496337460724*^9, {3.937915127182663*^9, 
   3.937915153299665*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"dbe60f6d-c87a-4566-9878-c8bca3b3bf08"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Conversion", " ", "of", " ", "quark", " ", "pole", " ", "mass", " ", 
    "into", " ", 
    SubscriptBox[
     OverscriptBox["m", "_"], "q"], 
    RowBox[{"(", 
     SubscriptBox["M", "q"], ")"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Source", ":", " ", "arXiv", ":", 
    RowBox[{"hep", "-", 
     RowBox[{"ph", "/", 
      RowBox[{
       RowBox[{"9912391", " ", "@", " ", "Eq"}], ".", " ", "14"}]}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"poletorunningMass", "[", "mpole_", "]"}], ":=", 
    RowBox[{"mpole", "*", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{
        FractionBox["4", "3"], 
        FractionBox[
         RowBox[{"alphaStr", "[", "mpole", "]"}], "Pi"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"1.04", "*", 
           RowBox[{"nf", "[", "mpole", "]"}]}], "-", "13.4"}], ")"}], "*", 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox[
           RowBox[{"alphaStr", "[", "mpole", "]"}], "Pi"], ")"}], "2"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "0.65"}], 
           SuperscriptBox[
            RowBox[{"nf", "[", "mpole", "]"}], "2"]}], "+", 
          RowBox[{"26.9", 
           RowBox[{"nf", "[", "mpole", "]"}]}], "-", "198.7"}], ")"}], 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox[
           RowBox[{"alphaStr", "[", "mpole", "]"}], "Pi"], ")"}], "3"]}]}], 
      ")"}]}]}], "  ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mtmt", "=", 
     RowBox[{"poletorunningMass", "[", "mtop", "]"}]}], ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.862889461120133*^9, 3.8628895049820633`*^9}, {
  3.862890110528252*^9, 3.86289012730946*^9}, {3.8628903045778437`*^9, 
  3.862890360201824*^9}, {3.8628985303422537`*^9, 3.862898538353102*^9}, {
  3.863495548347549*^9, 3.863495566676173*^9}, {3.863496379543169*^9, 
  3.8634963823578415`*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"63934c8d-3bec-4eb1-9697-85d1ba1c2b24"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"3", "-", 
    RowBox[{
    "loop", " ", "running", " ", "quark", " ", "masses", " ", "at", " ", "an",
      " ", "arbitrary", " ", "scale", " ", "mu"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Source", " ", ":", " ", 
    RowBox[{"Larin", " ", "@", " ", "arXiv"}], ":", 
    RowBox[{"hep", "-", 
     RowBox[{"ph", "/", "9703284"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"runningQuarkMassLO", "[", 
     RowBox[{"NF_", ",", "mqmq_", ",", "mu_"}], "]"}], ":=", 
    RowBox[{"mqmq", "*", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox[
        RowBox[{"alphaStr", "[", "mu", "]"}], 
        RowBox[{"alphaStr", "[", "mqmq", "]"}]], ")"}], 
      RowBox[{"4", "/", 
       RowBox[{"b0", "[", "NF", "]"}]}]]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"runningCorrNNLO", "[", 
     RowBox[{"mu_", ",", 
      RowBox[{"coeff_", "?", "ListQ"}]}], "]"}], ":=", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"coeff", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "*", 
      RowBox[{"(", 
       FractionBox[
        RowBox[{"alphaStr", "[", "mu", "]"}], "Pi"], ")"}]}], "+", 
     RowBox[{
      RowBox[{"coeff", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "*", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"alphaStr", "[", "mu", "]"}], "Pi"], ")"}], "2"]}], "+", 
     RowBox[{
      RowBox[{"coeff", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "*", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"alphaStr", "[", "mu", "]"}], "Pi"], ")"}], "3"]}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"runningQuarkMass", "[", 
     RowBox[{"NF_", ",", "mqmq_", ",", 
      RowBox[{"coeff_", "?", "ListQ"}], ",", "mu_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"runningQuarkMassLO", "[", 
      RowBox[{"NF", ",", "mqmq", ",", "mu"}], "]"}], "*", 
     FractionBox[
      RowBox[{"runningCorrNNLO", "[", 
       RowBox[{"mu", ",", "coeff"}], "]"}], 
      RowBox[{"runningCorrNNLO", "[", 
       RowBox[{"mqmq", ",", "coeff"}], "]"}]]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"runningQuarkMassMatched", "[", 
     RowBox[{"m0_", ",", "NF_", ",", "mu_", ",", "mu2_", ",", "coeff_"}], 
     "]"}], ":=", 
    RowBox[{"m0", "*", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox[
        RowBox[{"alphaStr", "[", "mu", "]"}], 
        RowBox[{"alphaStr", "[", "mu2", "]"}]], ")"}], 
      RowBox[{"4", "/", 
       RowBox[{"b0", "[", "NF", "]"}]}]], "*", 
     FractionBox[
      RowBox[{"runningCorrNNLO", "[", 
       RowBox[{"mu", ",", "coeff"}], "]"}], 
      RowBox[{"runningCorrNNLO", "[", 
       RowBox[{"mu2", ",", "coeff"}], "]"}]]}]}], " ", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"topcoeffs", "=", 
     RowBox[{"{", 
      RowBox[{"1.398", ",", "1.793", ",", 
       RowBox[{"-", "0.683"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bottomcoeffs", "=", 
     RowBox[{"{", 
      RowBox[{"1.1755", ",", "1.501", ",", "0.172"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ccoeffs", "=", 
     RowBox[{"{", 
      RowBox[{"1.014", ",", "1.389", ",", "1.091"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"scoeffs", "=", 
     RowBox[{"{", 
      RowBox[{"0.895", ",", "1.37", ",", "1.952"}], "}"}]}], 
    ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.862890434944642*^9, 3.862890453808042*^9}, {
   3.8628905162884274`*^9, 3.8628905324157767`*^9}, {3.86335170840501*^9, 
   3.863351728952042*^9}, {3.863351960231677*^9, 3.863352024222995*^9}, {
   3.8633520621852436`*^9, 3.863352062920551*^9}, {3.8633542008860855`*^9, 
   3.863354201213039*^9}, {3.8634981928842993`*^9, 3.8634981932629185`*^9}, {
   3.8634984699843597`*^9, 3.863498494124835*^9}, 3.863594649037671*^9},
 CellLabel->"In[33]:=",ExpressionUUID->"00be9202-d5c2-4a07-ae18-8601898ec0c7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Quark", " ", "masses", " ", "to", " ", "match", " ", "different", " ", 
     "active", " ", "flavours", " ", "at", " ", 
     RowBox[{"thresholds", ":", "  ", "M_b"}]}], ",", " ", "M_t"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"MQRunMatch", "[", 
      RowBox[{"\"\<s\>\"", ",", "5"}], "]"}], "=", 
     RowBox[{"runningQuarkMassMatched", "[", 
      RowBox[{"ms2gev", ",", "4", ",", "mbottom", ",", "2.", ",", "scoeffs"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MQRunMatch", "[", 
      RowBox[{"\"\<s\>\"", ",", "6"}], "]"}], "=", 
     RowBox[{"runningQuarkMassMatched", "[", 
      RowBox[{
       RowBox[{"MQRunMatch", "[", 
        RowBox[{"\"\<s\>\"", ",", "5"}], "]"}], ",", "5", ",", "mtop", ",", 
       "mbottom", ",", "scoeffs"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MQRunMatch", "[", 
      RowBox[{"\"\<c\>\"", ",", "5"}], "]"}], "=", 
     RowBox[{"runningQuarkMassMatched", "[", 
      RowBox[{"mc3gev", ",", "4", ",", "mbottom", ",", "3.", ",", "ccoeffs"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MQRunMatch", "[", 
      RowBox[{"\"\<c\>\"", ",", "6"}], "]"}], "=", 
     RowBox[{"runningQuarkMassMatched", "[", 
      RowBox[{
       RowBox[{"MQRunMatch", "[", 
        RowBox[{"\"\<c\>\"", ",", "5"}], "]"}], ",", "5", ",", "mtop", ",", 
       "mbottom", ",", "ccoeffs"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MQRunMatch", "[", 
      RowBox[{"\"\<b\>\"", ",", "6"}], "]"}], "=", 
     RowBox[{"runningQuarkMass", "[", 
      RowBox[{"5", ",", "mbmb", ",", "bottomcoeffs", ",", "mtop"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MQRunMatch", "[", 
      RowBox[{"\"\<b\>\"", ",", "4"}], "]"}], "=", 
     RowBox[{"runningQuarkMass", "[", 
      RowBox[{"5", ",", "mbmb", ",", "bottomcoeffs", ",", "mbottom"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MQRunMatch", "[", 
      RowBox[{"\"\<t\>\"", ",", "6"}], "]"}], "=", 
     RowBox[{"runningQuarkMass", "[", 
      RowBox[{"5", ",", "mtmt", ",", "topcoeffs", ",", "mtop"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"MQRunMatch", "[", 
      RowBox[{"\"\<t\>\"", ",", "4"}], "]"}], "=", 
     RowBox[{"runningQuarkMass", "[", 
      RowBox[{"5", ",", "mtmt", ",", "topcoeffs", ",", "mbottom"}], "]"}]}], 
    ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.8634924021724386`*^9, 3.8634924522608457`*^9}, {
   3.863492502212515*^9, 3.863492547853452*^9}, {3.863492584666744*^9, 
   3.8634925922608833`*^9}, {3.863492633054905*^9, 3.863492635710161*^9}, {
   3.863492668949943*^9, 3.863492676576913*^9}, 3.863492729083205*^9, {
   3.863492803570977*^9, 3.863492808706417*^9}, {3.863492880987005*^9, 
   3.863492925845909*^9}, {3.863494125205674*^9, 3.863494142492422*^9}, {
   3.863494276268819*^9, 3.863494330117946*^9}, {3.86349444737632*^9, 
   3.86349444781959*^9}, {3.863494500267782*^9, 3.863494534274493*^9}, 
   3.863494569213189*^9, 3.863496022855418*^9, 3.863496071966744*^9, {
   3.863496485808721*^9, 3.863496496929002*^9}, {3.863496539782483*^9, 
   3.8634965416086206`*^9}, {3.863496857672735*^9, 3.863496863370917*^9}, {
   3.863497089968683*^9, 3.86349711352288*^9}, {3.8634971743750887`*^9, 
   3.863497212996207*^9}, 3.863497409059471*^9, {3.863497992569022*^9, 
   3.86349803558715*^9}, {3.8634981791283126`*^9, 3.863498182418549*^9}, {
   3.863498216655931*^9, 3.86349828127446*^9}, {3.8634986244874916`*^9, 
   3.863498634889067*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"bc0d8a6d-cecc-4131-8f4d-85835e53f745"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Running", " ", "quark", " ", "masses", " ", "using", " ", "three", " ", 
    "loop", " ", "QCD", " ", "formulas"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"runningstrange", "[", "mu_", "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMassMatched", "[", 
          RowBox[{"ms2gev", ",", "4", ",", "mu", ",", "2.", ",", "scoeffs"}], 
          "]"}], ",", 
         RowBox[{"mu", "<", "mbottom"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMassMatched", "[", 
          RowBox[{
           RowBox[{"MQRunMatch", "[", 
            RowBox[{"\"\<s\>\"", ",", "5"}], "]"}], ",", "5", ",", "mu", ",", 
           "mbottom", ",", "scoeffs"}], "]"}], ",", 
         RowBox[{"mbottom", "\[LessEqual]", " ", "mu", "<", "mtop"}]}], "}"}],
        ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMassMatched", "[", 
          RowBox[{
           RowBox[{"MQRunMatch", "[", 
            RowBox[{"\"\<s\>\"", ",", "6"}], "]"}], ",", "6", ",", "mu", ",", 
           "mtop", ",", "scoeffs"}], "]"}], ",", 
         RowBox[{"mtop", "\[LessEqual]", " ", "mu"}]}], "}"}]}], "}"}], 
     "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"runningcharm", "[", "mu_", "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMassMatched", "[", 
          RowBox[{"mc3gev", ",", "4", ",", "mu", ",", "3.", ",", "ccoeffs"}], 
          "]"}], ",", 
         RowBox[{"mu", "<", "mbottom"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMassMatched", "[", 
          RowBox[{
           RowBox[{"MQRunMatch", "[", 
            RowBox[{"\"\<c\>\"", ",", "5"}], "]"}], ",", "5", ",", "mu", ",", 
           "mbottom", ",", "ccoeffs"}], "]"}], ",", 
         RowBox[{"mbottom", "\[LessEqual]", " ", "mu", "<", "mtop"}]}], "}"}],
        ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMassMatched", "[", 
          RowBox[{
           RowBox[{"MQRunMatch", "[", 
            RowBox[{"\"\<c\>\"", ",", "6"}], "]"}], ",", "6", ",", "mu", ",", 
           "mtop", ",", "ccoeffs"}], "]"}], ",", 
         RowBox[{"mtop", "\[LessEqual]", " ", "mu"}]}], "}"}]}], "}"}], 
     "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"runningbottom", "[", "mu_", "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMassMatched", "[", 
          RowBox[{
           RowBox[{"MQRunMatch", "[", 
            RowBox[{"\"\<b\>\"", ",", "4"}], "]"}], ",", "4", ",", "mu", ",", 
           "mbottom", ",", "bottomcoeffs"}], "]"}], ",", 
         RowBox[{"mu", "<", "mbottom"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMass", "[", 
          RowBox[{"5", ",", "mbmb", ",", "bottomcoeffs", ",", "mu"}], "]"}], 
         ",", 
         RowBox[{"mbottom", "\[LessEqual]", " ", "mu", "<", "mtop"}]}], "}"}],
        ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMassMatched", "[", 
          RowBox[{
           RowBox[{"MQRunMatch", "[", 
            RowBox[{"\"\<b\>\"", ",", "6"}], "]"}], ",", "6", ",", "mu", ",", 
           "mtop", ",", "bottomcoeffs"}], "]"}], ",", 
         RowBox[{"mtop", "\[LessEqual]", " ", "mu"}]}], "}"}]}], "}"}], 
     "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"runningtop", "[", "mu_", "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMassMatched", "[", 
          RowBox[{
           RowBox[{"MQRunMatch", "[", 
            RowBox[{"\"\<t\>\"", ",", "4"}], "]"}], ",", "4", ",", "mu", ",", 
           "mbottom", ",", "topcoeffs"}], "]"}], ",", 
         RowBox[{"mu", "<", "mbottom"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMass", "[", 
          RowBox[{"5", ",", "mtmt", ",", "topcoeffs", ",", "mu"}], "]"}], ",", 
         RowBox[{"mbottom", "\[LessEqual]", " ", "mu", "<", "mtop"}]}], "}"}],
        ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"runningQuarkMassMatched", "[", 
          RowBox[{
           RowBox[{"MQRunMatch", "[", 
            RowBox[{"\"\<t\>\"", ",", "6"}], "]"}], ",", "6", ",", "mu", ",", 
           "mtop", ",", "topcoeffs"}], "]"}], ",", 
         RowBox[{"mtop", "\[LessEqual]", " ", "mu"}]}], "}"}]}], "}"}], 
     "]"}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.863496450466081*^9, 3.863496471396736*^9}, {
   3.863496576904857*^9, 3.863496685600545*^9}, {3.863496787096326*^9, 
   3.8634968102517176`*^9}, {3.863496846332561*^9, 3.863496853718986*^9}, {
   3.863496893284081*^9, 3.863496923450467*^9}, {3.863497038169374*^9, 
   3.863497047608167*^9}, 3.8634970790161915`*^9, {3.8634971241514635`*^9, 
   3.863497164757183*^9}, {3.8634980439441385`*^9, 3.863498048908403*^9}, {
   3.8634980795635185`*^9, 3.863498114536167*^9}, {3.8634982881286335`*^9, 
   3.863498304123081*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"a49d41d8-7ad5-45ed-bcec-2aa206d9d5ac"]
}, Closed]],

Cell[CellGroupData[{

Cell["Precomputed data", "Subsection",
 CellChangeTimes->{{3.862646445921959*^9, 3.8626465095803366`*^9}, {
  3.862646562898985*^9, 3.862646564445753*^9}, {3.862646605344075*^9, 
  3.862646620139928*^9}, {3.937905414492858*^9, 
  3.937905418171255*^9}},ExpressionUUID->"e0ebd308-9a31-4e32-a7d4-\
5d7a234283b5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DecayHiggsVvirtVvirt", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "50", ",", "8.506351802100739`*^-9", ",", "2.6890586849162364`*^-8"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "51", ",", "9.85243511635805`*^-9", ",", "3.123452022396125`*^-8"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "52", ",", "1.138327443579302`*^-8", ",", "3.6193898312628`*^-8"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "53", ",", "1.3120800376489763`*^-8", ",", "4.1845587098602054`*^-8"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "54", ",", "1.5089214935948536`*^-8", ",", "4.827509565134621`*^-8"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "55", ",", "1.731520341749005`*^-8", ",", "5.557752076456916`*^-8"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "56", ",", "1.9828169367168052`*^-8", ",", "6.385856324919255`*^-8"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "57", ",", "2.2660483813831047`*^-8", ",", "7.323568190170439`*^-8"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "58", ",", "2.584776344126231`*^-8", ",", "8.3839368391789`*^-8"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "59", ",", "2.9429179867452304`*^-8", ",", "9.58145820006422`*^-8"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "60", ",", "3.344777895690539`*^-8", ",", "1.0932233749783237`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "61", ",", "3.795085653726007`*^-8", ",", "1.245413848694182`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "62", ",", "4.299034693402732`*^-8", ",", "1.416706609426554`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "63", ",", "4.8623264964952926`*^-8", ",", "1.6093094789718944`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "64", ",", "5.491218365499295`*^-8", ",", "1.8256781050288512`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "65", ",", "6.192576679067112`*^-8", ",", "2.0685442846067668`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "66", ",", "6.973934419103181`*^-8", ",", "2.3409489687024292`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "67", ",", "7.843555751916172`*^-8", ",", "2.646280164862681`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "68", ",", "8.810506814796403`*^-8", ",", "2.9883162369795096`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "69", ",", "9.884724613431137`*^-8", ",", "3.3712760755905133`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "70", ",", "1.1077140095595307`*^-7", ",", "3.7998768288608504`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "71", ",", "1.2399723186409588`*^-7", ",", "4.2794032933134545`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "72", ",", "1.386562332678369`*^-7", ",", "4.815785966726147`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "73", ",", "1.548928129423708`*^-7", ",", "5.415698121460226`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "74", ",", "1.7286564095642622`*^-7", ",", "6.086664565735547`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "75", ",", "1.9274915080207394`*^-7", ",", "6.837222107339338`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "76", ",", "2.1473524082209505`*^-7", ",", "7.677068540830441`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "77", ",", "2.39035176209348`*^-7", ",", "8.617302638547668`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "78", ",", "2.6588181974249736`*^-7", ",", "9.670722021922887`*^-7"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "79", ",", "2.955320544442445`*^-7", ",", "1.0852232376941644`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "80", ",", "3.282696415562475`*^-7", ",", "1.2179478037869994`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "81", ",", "3.644085218560782`*^-7", ",", "1.3673915055110567`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "82", ",", "4.042966592234252`*^-7", ",", "1.5363021094702381`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "83", ",", "4.483204392929989`*^-7", ",", "1.7282913248888278`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "84", ",", "4.969095979826749`*^-7", ",", "1.9487251882748715`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "85", ",", "5.505450269050205`*^-7", ",", "2.2046690651792264`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "86", ",", "6.097646191401124`*^-7", ",", "2.5058966373380373`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "87", ",", "6.751738715032848`*^-7", ",", "2.8651432350165867`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "88", ",", "7.474580137516798`*^-7", ",", "3.29857859399266`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "89", ",", "8.273982169008734`*^-7", ",", "3.826204093817411`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "90", ",", "9.158940363808267`*^-7", ",", "4.472223583155212`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "91", ",", "1.0139973434202996`*^-6", ",", "5.265387052953769`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "92", ",", "1.122969485451936`*^-6", ",", "6.239328053259035`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "93", ",", "1.2443921030346864`*^-6", ",", "7.432895879157892`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "94", ",", "1.3802583754318598`*^-6", ",", "8.890465996934318`*^-6"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "95", ",", "1.5333880059594317`*^-6", ",", "0.000010662267318952515`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "96", ",", "1.7073662515047889`*^-6", ",", "0.000012804724268814952`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "97", ",", "1.906952759104026`*^-6", ",", "0.00001538079729120518`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "98", ",", "2.138226757910684`*^-6", ",", "0.000018460336694592904`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "99", ",", "2.4087351211253356`*^-6", ",", "0.00002212048387281542`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "100", ",", "2.727707537940508`*^-6", ",", "0.0000264460892056347`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "101", ",", "3.106192500474059`*^-6", ",", "0.000031530160027420966`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "102", ",", "3.5572105282688085`*^-6", ",", 
       "0.000037474333283577454`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "103", ",", "4.095896679869806`*^-6", ",", "0.000044389428592734136`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "104", ",", "4.739634444390062`*^-6", ",", "0.000052396020382992546`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "105", ",", "5.508200419974964`*^-6", ",", "0.0000616251132693905`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "106", ",", "6.423881764117983`*^-6", ",", "0.00007221876412482833`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "107", ",", "7.511618068402841`*^-6", ",", "0.00008433101895291406`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "108", ",", "8.799131393887122`*^-6", ",", "0.00009812862355306`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "109", ",", "0.000010317068854222045`", ",", 
       "0.00011379207117598788`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "110", ",", "0.000012099143720358838`", ",", 
       "0.00013151664982062483`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "111", ",", "0.000014182281963044294`", ",", 
       "0.00015151363850337266`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "112", ",", "0.000016606789277265215`", ",", 
       "0.00017401165320688963`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "113", ",", "0.000019416518069089325`", ",", 
       "0.00019925810714518905`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "114", ",", "0.000022659047362539706`", ",", 
       "0.00022752086692891645`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "115", ",", "0.000026385878457577695`", ",", 
       "0.00025909012314154125`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "116", ",", "0.00003065263844333229`", ",", "0.0002942804923779207`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "117", ",", "0.00003551931745920925`", ",", "0.0003334333611212304`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "118", ",", "0.00004105050818718858`", ",", "0.0003769195543557921`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "119", ",", "0.0000473156852466679`", ",", "0.00042514233956938383`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "120", ",", "0.00005438948896784035`", ",", "0.0004785408457509694`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "121", ",", "0.00006235203973418373`", ",", "0.0005375939433056394`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "122", ",", "0.0000712892988789978`", ",", "0.0006028246771165231`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "123", ",", "0.00008129344260646956`", ",", "0.0006748053379084389`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "124", ",", "0.00009246328930164397`", ",", "0.0007541632816999322`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "125", ",", "0.00010490474947543`", ",", "0.0008415876374984579`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "126", ",", "0.00011873135150183727`", ",", "0.0009378370607869711`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "127", ",", "0.000134064793278881`", ",", "0.001043748734002626`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "128", ",", "0.0001510355436880478`", ",", "0.0011602488544196323`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "129", ",", "0.00016978353309554797`", ",", "0.00128836491204349`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "130", ",", "0.0001904589060285074`", ",", "0.001429240124592441`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "131", ",", "0.0002132228522093391`", ",", "0.001584150495512236`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "132", ",", "0.00023824853385659328`", ",", "0.0017545250750407924`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "133", ",", "0.0002657221130868345`", ",", "0.00194197015684205`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "134", ",", "0.0002958438931833314`", ",", "0.002148298350006019`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "135", ",", "0.0003288295998669063`", ",", "0.002375563725638006`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "136", ",", "0.0003649118074845212`", ",", "0.002626104596419271`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "137", ",", "0.0004043415394577424`", ",", "0.0029025959646574954`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "138", ",", "0.0004473900661320456`", ",", "0.003208114326174115`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "139", ",", "0.000494350926624624`", ",", "0.0035462184154401322`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "140", ",", "0.0005455422124213241`", ",", "0.003921050730163267`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "141", ",", "0.0006013091504311316`", ",", "0.004337466432431683`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "142", ",", "0.0006620270338497266`", ",", "0.0048011988525735365`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "143", ",", "0.0007281045566077219`", ",", "0.005319074212655607`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "144", ",", "0.0007999876197000431`", ",", "0.0058992942841682465`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "145", ",", "0.0008781636890349543`", ",", "0.006551813202248583`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "146", ",", "0.0009631668018677197`", ",", "0.007288848020136407`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "147", ",", "0.0010555833401241072`", ",", "0.008125582363339691`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "148", ",", "0.0011560587091303828`", ",", "0.009081155051585214`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "149", ",", "0.001265305100305695`", ",", "0.010180079323341357`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "150", ",", "0.0013841105456527687`", ",", "0.011454330241777961`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "151", ",", "0.0015133495297625585`", ",", "0.012946500362469448`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "152", ",", "0.0016539954833457934`", ",", "0.014714721769277324`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "153", ",", "0.0018071355659874185`", ",", "0.01684062179785197`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "154", ",", "0.0019739882494850492`", ",", "0.019442715428184813`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "155", ",", "0.0021559243499887602`", ",", "0.02270000655571742`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "156", ",", "0.002354492336007135`", ",", "0.02689570739644946`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "157", ",", "0.0025714489760783853`", ",", "0.03250223861665382`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "158", ",", "0.0028087967068448636`", ",", "0.04035082852826655`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "159", ",", "0.003068829529233202`", ",", "0.05194358501260102`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "160", ",", "0.0033541898237992346`", ",", "0.06971941289721305`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "161", ",", "0.0036679392800461094`", ",", "0.09565945418011812`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "162", ",", "0.004013648259782147`", ",", "0.12736120455355202`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "163", ",", "0.00439550950448776`", ",", "0.15988015211001452`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "164", ",", "0.004818484382915561`", ",", "0.19078638234589196`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "165", ",", "0.005288493207688689`", ",", "0.21970851177366962`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "166", ",", "0.0058126660931637`", ",", "0.24688649967114984`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "167", ",", "0.006399678291941568`", ",", "0.2726450995096243`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "168", ",", "0.007060205449688292`", ",", "0.29727052906952434`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "169", ",", "0.007807552313331614`", ",", "0.32099430276022906`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "170", ",", "0.008658537599008774`", ",", "0.344000600956817`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "171", ",", "0.009634765919910419`", ",", "0.36643658099266424`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "172", ",", "0.01076449958534841`", ",", "0.38842114194321764`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "173", ",", "0.012085486418679835`", ",", "0.4100516180689439`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "174", ",", "0.013649358564890725`", ",", "0.4314087428103056`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "175", ",", "0.015528699316552751`", ",", "0.45256031721600154`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "176", ",", "0.017828797815494627`", ",", "0.4735639387314288`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "177", ",", "0.0207079030158398`", ",", "0.49446905265102625`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "178", ",", "0.024413171646130778`", ",", "0.5153185130643438`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "179", ",", "0.029344835789797196`", ",", "0.5361497852890577`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "180", ",", "0.03616193437666809`", ",", "0.5569958833177796`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "181", ",", "0.04588888861302603`", ",", "0.5778861090830487`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "182", ",", "0.05968892392654356`", ",", "0.5988466417496452`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"183", ",", "0.07765338767295385`", ",", "0.61990101221756`"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"184", ",", "0.09790716816679282`", ",", "0.641070488794819`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "185", ",", "0.11832582871184931`", ",", "0.6623743934441458`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "186", ",", "0.13791783465341986`", ",", "0.6838303632044591`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"187", ",", "0.1564757551137029`", ",", "0.7054545679040092`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "188", ",", "0.17407408629481141`", ",", "0.7272618929193603`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "189", ",", "0.19085335250239885`", ",", "0.7492660933385331`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "190", ",", "0.20695230689483776`", ",", "0.7714799250732033`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "191", ",", "0.22249108980914029`", ",", "0.7939152568583437`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "192", ",", "0.23756980442503056`", ",", "0.8165831664950949`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"193", ",", "0.25227114175507565`", ",", "0.839494023997914`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"194", ",", "0.2666635967676322`", ",", "0.8626575636039272`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"195", ",", "0.2808043195048402`", ",", "0.8860829468821243`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "196", ",", "0.29474142196032704`", ",", "0.9097788175433589`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
      "197", ",", "0.30851578629538934`", ",", "0.9337533499267563`"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"198", ",", "0.3221624690831454`", ",", "0.9580142916592078`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"199", ",", "0.3357117924736506`", ",", "0.9825690014575034`"}],
       "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"200", ",", "0.34919019652538774`", ",", "1.00742448265485`"}], 
      "}"}]}], "}"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.937905527682493*^9, 3.937905541037183*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"82415204-9941-4e72-ab8e-8fa02d724a6b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"prodData", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<MH[GeV]\>\"", ",", "\"\<ggH_NLO[pb]\>\"", ",", 
       "\"\<ggH_Knnlo[-]\>\"", ",", "\"\<WBF_LO[pb]\>\"", ",", 
       "\"\<ZBF_LO[pb]\>\"", ",", "\"\<WH_NLO[pb]\>\"", ",", 
       "\"\<ZH_NLO[pb]\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "100.`", ",", "50.46`", ",", "1.393`", ",", "3.534`", ",", "1.398`", 
       ",", "2.984`", ",", "1.487`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "125.`", ",", "33.78`", ",", "1.417`", ",", "2.882`", ",", "1.159`", 
       ",", "1.536`", ",", "0.7795`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "150.`", ",", "23.92`", ",", "1.449`", ",", "2.384`", ",", "0.973`", 
       ",", "0.8644`", ",", "0.4442`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "175.`", ",", "17.89`", ",", "1.401`", ",", "1.995`", ",", "0.8248`", 
       ",", "0.5207`", ",", "0.2697`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "200.`", ",", "13.85`", ",", "1.38`", ",", "1.689`", ",", "0.7062`", 
       ",", "0.3307`", ",", "0.1723`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "225.`", ",", "11.02`", ",", "1.42`", ",", "1.443`", ",", "0.6097`", 
       ",", "0.2192`", ",", "0.1146`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "250.`", ",", "8.984`", ",", "1.465`", ",", "1.242`", ",", "0.5298`", 
       ",", "0.1508`", ",", "0.07887`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "275.`", ",", "7.552`", ",", "1.528`", ",", "1.077`", ",", "0.4635`", 
       ",", "0.1066`", ",", "0.05587`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "300.`", ",", "6.544`", ",", "1.601`", ",", "0.9403`", ",", "0.4081`", 
       ",", "0.07729`", ",", "0.04053`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "325.`", ",", "5.889`", ",", "1.713`", ",", "0.8257`", ",", "0.3611`", 
       ",", "0.05729`", ",", "0.03006`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "350.`", ",", "5.796`", ",", "1.852`", ",", "0.7284`", ",", "0.3209`", 
       ",", "0.04326`", ",", "0.02268`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "375.`", ",", "5.741`", ",", "1.92`", ",", "0.6455`", ",", "0.2863`", 
       ",", "0.03319`", ",", "0.01737`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "400.`", ",", "5.18`", ",", "1.94`", ",", "0.5748`", ",", "0.2565`", 
       ",", "0.02581`", ",", "0.01349`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "425.`", ",", "4.471`", ",", "1.905`", ",", "0.5136`", ",", "0.2307`", 
       ",", "0.02033`", ",", "0.01062`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "450.`", ",", "3.775`", ",", "1.901`", ",", "0.4605`", ",", "0.2081`", 
       ",", "0.0162`", ",", "0.00845`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "475.`", ",", "3.159`", ",", "1.86`", ",", "0.4142`", ",", "0.1883`", 
       ",", "0.01304`", ",", "0.006792`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "500.`", ",", "2.63`", ",", "1.833`", ",", "0.3737`", ",", "0.1708`", 
       ",", "0.01059`", ",", "0.005507`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "525.`", ",", "2.19`", ",", "1.794`", ",", "0.3382`", ",", "0.1553`", 
       ",", "0.008676`", ",", "0.004502`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "550.`", ",", "1.82`", ",", "1.757`", ",", "0.3067`", ",", "0.1416`", 
       ",", "0.007158`", ",", "0.003707`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "575.`", ",", "1.518`", ",", "1.72`", ",", "0.2788`", ",", "0.1294`", 
       ",", "0.005943`", ",", "0.003074`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "600.`", ",", "1.271`", ",", "1.679`", ",", "0.254`", ",", "0.1185`", 
       ",", "0.004954`", ",", "0.002564`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "625.`", ",", "1.074`", ",", "1.625`", ",", "0.2319`", ",", "0.1086`", 
       ",", "0.004161`", ",", "0.002145`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "650.`", ",", "0.9106`", ",", "1.578`", ",", "0.2121`", ",", "0.09983`",
        ",", "0.003514`", ",", "0.001809`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "675.`", ",", "0.7751`", ",", "1.529`", ",", "0.1944`", ",", "0.09188`",
        ",", "0.002983`", ",", "0.001537`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "700.`", ",", "0.6604`", ",", "1.48`", ",", "0.1784`", ",", "0.08469`", 
       ",", "0.002545`", ",", "0.001308`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "725.`", ",", "0.5637`", ",", "1.438`", ",", "0.164`", ",", "0.07818`", 
       ",", "0.00218`", ",", "0.001118`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "750.`", ",", "0.4832`", ",", "1.399`", ",", "0.151`", ",", "0.07227`", 
       ",", "0.001875`", ",", "0.0009598`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "775.`", ",", "0.416`", ",", "1.361`", ",", "0.1392`", ",", "0.06689`", 
       ",", "0.001618`", ",", "0.0008265`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "800.`", ",", "0.3598`", ",", "1.325`", ",", "0.1285`", ",", "0.062`", 
       ",", "0.001401`", ",", "0.000714`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "825.`", ",", "0.3125`", ",", "1.286`", ",", "0.1188`", ",", "0.05752`",
        ",", "0.001216`", ",", "0.0006188`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "850.`", ",", "0.2732`", ",", "1.245`", ",", "0.1099`", ",", "0.05343`",
        ",", "0.00106`", ",", "0.000538`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "875.`", ",", "0.2398`", ",", "1.199`", ",", "0.1019`", ",", "0.04969`",
        ",", "0.0009256`", ",", "0.000469`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "900.`", ",", "0.2118`", ",", "1.158`", ",", "0.09448`", ",", 
       "0.04625`", ",", "0.0008107`", ",", "0.00041`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "925.`", ",", "0.1876`", ",", "1.116`", ",", "0.08771`", ",", 
       "0.04309`", ",", "0.0007119`", ",", "0.0003594`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "950.`", ",", "0.1664`", ",", "1.076`", ",", "0.08151`", ",", 
       "0.04018`", ",", "0.0006266`", ",", "0.0003158`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "975.`", ",", "0.1473`", ",", "0", ",", "0.07582`", ",", "0.0375`", ",",
        "0.0005528`", ",", "0.0002786`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1000.`", ",", "0.1309`", ",", "0", ",", "0.07058`", ",", "0.03503`", 
       ",", "0.0004886`", ",", "0.000246`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1100.`", ",", "0.08361`", ",", "0", ",", "0.05345`", ",", "0.02687`", 
       ",", "0.0003039`", ",", "0.0001523`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1200.`", ",", "0.05597`", ",", "0", ",", "0.04094`", ",", "0.02083`", 
       ",", "0.0001936`", ",", "0.00009659`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1300.`", ",", "0.03824`", ",", "0", ",", "0.03165`", ",", "0.01629`", 
       ",", "0.0001261`", ",", "0.0000627`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1400.`", ",", "0.02684`", ",", "0", ",", "0.02468`", ",", "0.01284`", 
       ",", "0.00008365`", ",", "0.0000415`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "1500.`", ",", "0.01923`", ",", "0", ",", "0.01937`", ",", "0.01019`", 
       ",", "0.00005639`", ",", "0.00002792`"}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.937905436076882*^9, 3.93790543945262*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"56996ba4-3d28-4f05-afe9-98c1b98f70b6"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Decay formulas and couplings", "Section",
 CellChangeTimes->{{3.8605731235160136`*^9, 3.860573128296332*^9}, {
  3.862887259161261*^9, 
  3.8628872654061203`*^9}},ExpressionUUID->"e0fa3912-412a-4677-8f54-\
767f926c97a0"],

Cell[CellGroupData[{

Cell["Global functions for decays", "Subsection",
 CellChangeTimes->{{3.860573285545907*^9, 3.8605732881142635`*^9}, {
  3.8628872761359196`*^9, 3.86288728073644*^9}, {3.9379163654711514`*^9, 
  3.937916369208521*^9}},ExpressionUUID->"33017db6-9fb3-ba4e-a1dd-\
4115569759d5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"beta", "[", 
   RowBox[{"M_", ",", "m1_", ",", "m2_"}], "]"}], ":=", 
  SqrtBox[
   RowBox[{"1", "-", 
    RowBox[{"2", 
     FractionBox[
      RowBox[{
       SuperscriptBox["m1", "2"], "+", 
       SuperscriptBox["m2", "2"]}], 
      SuperscriptBox["M", "2"]]}], "+", 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["m1", "2"], "-", 
        SuperscriptBox["m2", "2"]}], ")"}], "2"], 
     SuperscriptBox["M", "4"]]}]]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"polsum", "[", 
   RowBox[{"M_", ",", "m1_", ",", "m2_"}], "]"}], ":=", 
  RowBox[{"2", "+", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"4", " ", 
      SuperscriptBox["m1", "2"], " ", 
      SuperscriptBox["m2", "2"]}]], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["M", "2"], "-", 
       SuperscriptBox["m1", "2"], "-", 
       SuperscriptBox["m2", "2"]}], ")"}], "2"]}]}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.9379163102643356`*^9, 3.9379163109195786`*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"def434b1-581a-ff47-93fe-508cd9366b50"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"polylog0", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    FractionBox["x", 
     RowBox[{"1", "+", "x"}]], 
    RowBox[{"(", 
     RowBox[{"3", "+", 
      FractionBox["x", "4"], "+", 
      FractionBox[
       SuperscriptBox["x", "2"], "36"], "+", 
      FractionBox[
       SuperscriptBox["x", "3"], 
       RowBox[{"9", "*", "16"}]]}], ")"}]}], "-", 
   RowBox[{"2", "*", 
    FractionBox[
     RowBox[{"x", "-", "1"}], 
     RowBox[{"x", "+", "1"}]], "*", 
    RowBox[{"Internal`Log1p", "[", 
     RowBox[{"-", "x"}], "]"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pi26", "=", 
   RowBox[{"N", "[", 
    RowBox[{
     SuperscriptBox["Pi", "2"], "/", "6"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dilog", "[", "x_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "pi26"}], "/", "2"}], ",", 
       RowBox[{"x", "\[Equal]", 
        RowBox[{"-", "1"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"-", "0.5"}], "*", 
         SuperscriptBox[
          RowBox[{"Internal`Log1p", "[", 
           RowBox[{"-", "x"}], "]"}], "2"]}], "-", 
        RowBox[{"polylog0", "[", 
         RowBox[{"x", "/", 
          RowBox[{"(", 
           RowBox[{"x", "-", "1"}], ")"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"-", "1"}], "<", "x", "<", "0"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"polylog0", "[", "x", "]"}], ",", 
       RowBox[{"0", "\[LessEqual]", " ", "x", "\[LessEqual]", " ", "0.5"}]}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"pi26", "-", 
        RowBox[{
         RowBox[{"Log", "[", "x", "]"}], "*", 
         RowBox[{"Internal`Log1p", "[", 
          RowBox[{"-", "x"}], "]"}]}], "-", 
        RowBox[{"polylog0", "[", 
         RowBox[{"1", "-", "x"}], "]"}]}], ",", 
       RowBox[{"0.5", "<", "x", "<", "1"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"pi26", ",", 
       RowBox[{"x", "\[Equal]", "   ", "1"}]}], "}"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"SetAttributes", "[", 
  RowBox[{"dilog", ",", "Listable"}], "]"}]}], "Input",
 InitializationCell->True,
 CellLabel->"In[57]:=",ExpressionUUID->"e4dbdd0f-57fc-9547-bd47-d6df4b7f64b2"]
}, Closed]],

Cell[CellGroupData[{

Cell["scalars", "Subsection",
 CellChangeTimes->{{3.860573285545907*^9, 3.8605732881142635`*^9}, {
  3.8628872761359196`*^9, 3.86288728073644*^9}, {3.937917903454916*^9, 
  3.937917904393486*^9}},ExpressionUUID->"1f18abe7-c776-483e-93b9-\
875190473f92"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Couplings", " ", "derived", " ", "directy", " ", "from", " ", "SARAH", 
    " ", "Feynmann", " ", "rules", " ", "for", " ", "the", " ", "SWSM"}], " ",
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"couplingHSS", "[", 
     RowBox[{"mh_", ",", "ms_", ",", "thetaS_", ",", "tanB_"}], "]"}], ":=", 
    RowBox[{
     FractionBox[
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["mh", "2"], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["ms", "2"]}]}], ")"}], "vH"], "  ", 
     FractionBox[
      RowBox[{"Sin", "[", 
       RowBox[{"2", " ", "thetaS"}], "]"}], "2"], " ", 
     RowBox[{"(", " ", 
      RowBox[{
       FractionBox[
        RowBox[{"Cos", "[", "thetaS", "]"}], "tanB"], "-", " ", 
       RowBox[{"Sin", "[", "thetaS", "]"}]}], ")"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"couplingSHH", "[", 
     RowBox[{"mh_", ",", "ms_", ",", "thetaS_", ",", "tanB_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["mh", "2"]}], "+", 
         SuperscriptBox["ms", "2"]}], ")"}], "vH"]}], " ", 
     FractionBox[
      RowBox[{"Sin", "[", 
       RowBox[{"2", " ", "thetaS"}], "]"}], "2"], " ", 
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{"Cos", "[", "thetaS", "]"}], "+", " ", 
       FractionBox[
        RowBox[{"Sin", "[", "thetaS", "]"}], "tanB"]}], ")"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"decay2Scalar", "[", 
     RowBox[{"M_", ",", "m_", ",", "cp_"}], "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"M", "\[LessEqual]", 
          RowBox[{"2", "m"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["cp", 
           RowBox[{"32", " ", "\[Pi]", "*", "M"}]], 
          SqrtBox[
           RowBox[{"1", "-", 
            RowBox[{"4", " ", 
             FractionBox[
              SuperscriptBox["m", "2"], 
              SuperscriptBox["M", "2"]]}]}]]}], " ", ",", 
         RowBox[{
          RowBox[{"2", "m"}], "<", "M"}]}], "}"}]}], "\[IndentingNewLine]", 
      "}"}], "]"}]}], "\[IndentingNewLine]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.86057153689328*^9, 3.860571566193176*^9}, {
   3.860571630781166*^9, 3.8605716319502*^9}, {3.860571716559776*^9, 
   3.860571721979615*^9}, {3.860571916283208*^9, 3.860571916767351*^9}, {
   3.8605724593757677`*^9, 3.860572464695697*^9}, {3.860572700574997*^9, 
   3.860572722499219*^9}, {3.860573245444701*^9, 3.860573262842284*^9}, {
   3.860573324887416*^9, 3.860573329708621*^9}, {3.860584313763291*^9, 
   3.860584349360009*^9}, {3.8605844287790694`*^9, 3.860584439300548*^9}, {
   3.8605849733390627`*^9, 3.860584978510844*^9}, {3.860756788071709*^9, 
   3.860756794471774*^9}, {3.86075694405326*^9, 3.860756946377371*^9}, {
   3.860914667351649*^9, 3.860914707485354*^9}, {3.861178573683821*^9, 
   3.861178601900647*^9}, {3.8611803695367208`*^9, 3.861180378832508*^9}, {
   3.861180421145156*^9, 3.8611804285280857`*^9}, 3.861182454313144*^9, 
   3.862559519242788*^9, 3.8625714120334225`*^9, 3.862646623750248*^9, {
   3.862646668531694*^9, 3.8626466700259023`*^9}, {3.862646785324089*^9, 
   3.8626467881364484`*^9}, {3.862887166530101*^9, 3.862887166848607*^9}, {
   3.8628872907669487`*^9, 3.8628872934956064`*^9}, {3.8628873361770115`*^9, 
   3.862887358735967*^9}, {3.862888528844016*^9, 3.862888530827035*^9}, {
   3.935560572158433*^9, 3.9355606002928553`*^9}, {3.937915318465582*^9, 
   3.937915326540249*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"32d87557-e7ef-41dd-a10f-15b31fc6f3d5"]
}, Closed]],

Cell[CellGroupData[{

Cell["vectors", "Subsection",
 CellChangeTimes->{{3.860573285545907*^9, 3.8605732881142635`*^9}, {
  3.8628872761359196`*^9, 3.86288728073644*^9}, {3.862887412088*^9, 
  3.862887446286997*^9}, {3.862906335959711*^9, 3.862906352967663*^9}, {
  3.9379178951698933`*^9, 
  3.937917907498419*^9}},ExpressionUUID->"be6de857-37b1-4938-9fb7-\
0a129b128367"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"dec2body", "[", 
    RowBox[{"MH_", ",", "MV_"}], "]"}], ":=", 
   RowBox[{
    FractionBox["Gf", 
     RowBox[{"4", "*", 
      SqrtBox["2"], "*", "Pi"}]], 
    FractionBox[
     SuperscriptBox["MV", "4"], "MH"], "*", 
    RowBox[{"polsum", "[", 
     RowBox[{"MH", ",", "MV", ",", "MV"}], "]"}], "*", 
    SqrtBox[
     RowBox[{"1", "-", 
      RowBox[{"4", " ", 
       FractionBox[
        SuperscriptBox["MV", "2"], 
        SuperscriptBox["MH", "2"]]}]}]]}]}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"h", "->", 
     RowBox[{"V", " ", "V"}]}], ",", " ", 
    RowBox[{"when", " ", 
     RowBox[{"M_V", "/", "M_h"}], " ", 
     RowBox[{"<<", " ", "1"}]}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"decVVMassless", "[", "M_", "]"}], ":=", 
  FractionBox[
   RowBox[{" ", 
    RowBox[{"Gf", " ", 
     SuperscriptBox["M", "3"]}]}], 
   RowBox[{"8", " ", 
    SqrtBox["2"], " ", "\[Pi]"}]]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.860572117391037*^9, 3.860572152956472*^9}, {
   3.860572427447673*^9, 3.860572440348228*^9}, {3.860584547669626*^9, 
   3.860584549619405*^9}, 3.860584917395232*^9, {3.860756797977421*^9, 
   3.8607568100341153`*^9}, {3.86288845987408*^9, 3.86288848871614*^9}, {
   3.8629003921657357`*^9, 3.862900417740778*^9}, {3.862900850393089*^9, 
   3.862900854577799*^9}, {3.935561623035735*^9, 3.935561647549579*^9}, {
   3.937915493741484*^9, 3.937915515986305*^9}, {3.93791561772378*^9, 
   3.937915657268181*^9}, {3.937915747903204*^9, 3.937915748349203*^9}, {
   3.937916312681608*^9, 3.9379163131917744`*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"317a7a4c-8b31-42a8-a637-43602a0eeadd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"h", " ", "->", " ", 
     RowBox[{"Vvirt", " ", "Vvirt"}]}], ",", " ", 
    RowBox[{
     RowBox[{"h", " ", "->", " ", 
      RowBox[{
      "Vreal", " ", "Vvirt", " ", "are", " ", "precomputed", " ", "as", " ", 
       "a", " ", "function", " ", "of", " ", "M_h", " ", "with", " ", "V"}]}],
      " ", "=", " ", 
     RowBox[{
      RowBox[{"Z", " ", "/", " ", "W"}], " ", "in", " ", "the", " ", 
      "SM"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"decayHWW4body", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"Piecewise", "[", 
        RowBox[{
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"InterpolatingPolynomial", "[", 
               RowBox[{"#", ",", "x"}], "]"}], ",", 
              RowBox[{"x", "<", 
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{"3", ",", "1"}], "]"}], "]"}]}]}], "}"}], "&"}], ",", 
           RowBox[{"Most", "[", "#", "]"}]}], "]"}], ",", 
         RowBox[{"InterpolatingPolynomial", "[", 
          RowBox[{
           RowBox[{"Last", "@", "#"}], ",", "x"}], "]"}]}], "]"}], "&"}], "@", 
      RowBox[{"Partition", "[", 
       RowBox[{
        RowBox[{"DecayHiggsVvirtVvirt", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], ",", "4", ",", 
        "1"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"decayHZZ4body", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"Piecewise", "[", 
        RowBox[{
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"InterpolatingPolynomial", "[", 
               RowBox[{"#", ",", "x"}], "]"}], ",", 
              RowBox[{"x", "<", 
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{"3", ",", "1"}], "]"}], "]"}]}]}], "}"}], "&"}], ",", 
           RowBox[{"Most", "[", "#", "]"}]}], "]"}], ",", 
         RowBox[{"InterpolatingPolynomial", "[", 
          RowBox[{
           RowBox[{"Last", "@", "#"}], ",", "x"}], "]"}]}], "]"}], "&"}], "@", 
      RowBox[{"Partition", "[", 
       RowBox[{
        RowBox[{"DecayHiggsVvirtVvirt", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], ",", "4", ",", 
        "1"}], "]"}]}]}], ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.9379055069521055`*^9, 3.937905507769682*^9}, {
  3.937915530583099*^9, 3.937915578720705*^9}, {3.937915667579897*^9, 
  3.937915721839769*^9}, {3.9379158693375645`*^9, 3.937915897527094*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"7e3487b7-3fd5-497a-b0e0-fe27b03ce9ac"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"decayHWW", "[", "MH_", "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", " ", 
       RowBox[{"MH", "<", "50"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"decayHWW4body", "[", "MH", "]"}], ",", 
       RowBox[{"50", "<", "MH", "\[LessEqual]", " ", 
        RowBox[{
         RowBox[{"2", "MW"}], "+", "1"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2.", "*", 
        RowBox[{"dec2body", "[", 
         RowBox[{"MH", ",", "MW"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"2", " ", "MW"}], "+", "1"}], "<", "MH"}]}], "}"}]}], " ", 
    "\[IndentingNewLine]", "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"decayHZZ", "[", "MH_", "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", " ", 
       RowBox[{"MH", "<", "50"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"decayHZZ4body", "[", "MH", "]"}], ",", 
       RowBox[{"50", "<", "MH", "\[LessEqual]", " ", 
        RowBox[{
         RowBox[{"2", "MZ"}], "+", "1"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"dec2body", "[", 
        RowBox[{"MH", ",", "MZ"}], "]"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"2", " ", "MZ"}], "+", "1"}], "<", "MH"}]}], "}"}]}], " ", 
    "\[IndentingNewLine]", "}"}], "]"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.862897596732401*^9, 3.862897597449643*^9}, {
   3.862897660598313*^9, 3.862897700946573*^9}, {3.862897882881469*^9, 
   3.862897883294634*^9}, 3.8628995862028317`*^9, {3.862907547050123*^9, 
   3.862907549433338*^9}, {3.862909484620304*^9, 3.862909566729784*^9}, {
   3.862985972556652*^9, 3.862986005487477*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"a8fe40ec-64bc-4fc1-a3a4-f0670e98db7c"]
}, Closed]],

Cell[CellGroupData[{

Cell["fermions", "Subsection",
 CellChangeTimes->{{3.860573384562803*^9, 3.860573402314246*^9}, {
  3.937917909262171*^9, 
  3.937917910456457*^9}},ExpressionUUID->"e7dbddeb-8f09-4176-9020-\
a4f283f953e0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"decayFF", "[", 
   RowBox[{"M_", ",", "mf_", ",", "cp_"}], "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"M", "\[LessEqual]", 
        RowBox[{"2", " ", "mf"}]}]}], " ", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"Gf", "*", "M", "*", 
          SuperscriptBox["mf", "2"]}], 
         RowBox[{"4", "*", 
          SqrtBox["2"], "*", "Pi"}]], "*", "cp", "*", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"4", " ", 
            FractionBox[
             SuperscriptBox["mf", "2"], 
             SuperscriptBox["M", "2"]]}]}], ")"}], 
         RowBox[{"3", "/", "2"}]]}], "  ", ",", 
       RowBox[{
        RowBox[{"2", "mf"}], "<", "M"}]}], "}"}]}], "\[IndentingNewLine]", 
    "}"}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.860573464953035*^9, 3.8605735004780393`*^9}, {
   3.860584270662262*^9, 3.86058428739619*^9}, 3.8605844488944*^9, {
   3.860747670900476*^9, 3.860747692814208*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"df25b9b8-61e7-4013-ab07-99e22f732e0a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Source", ":", " ", 
    RowBox[{"Djouadi", " ", "@", " ", "arXiv"}], ":", 
    RowBox[{"hep", "-", 
     RowBox[{
      RowBox[{"ph", "/", 
       RowBox[{
        RowBox[{"0503172", " ", "@", " ", "Eq"}], ".", " ", "2.14"}]}], " ", 
      "and", " ", "refs", " ", "above", " ", "it"}]}]}], "  ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Afunc", "[", "beta_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["beta", "2"]}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"dilog", "[", 
          FractionBox[
           RowBox[{"1", "-", "beta"}], 
           RowBox[{"1", "+", "beta"}]], "]"}]}], "+", 
        RowBox[{"2", 
         RowBox[{"dilog", "[", 
          RowBox[{"-", 
           FractionBox[
            RowBox[{"1", "-", "beta"}], 
            RowBox[{"1", "+", "beta"}]]}], "]"}]}], "-", 
        RowBox[{"3", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{"1", "+", "beta"}], 
           RowBox[{"1", "-", "beta"}]], "]"}], 
         RowBox[{"Log", "[", 
          FractionBox["2", 
           RowBox[{"1", "+", "beta"}]], "]"}]}], "-", 
        RowBox[{"2", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{"1", "+", "beta"}], 
           RowBox[{"1", "-", "beta"}]], "]"}], 
         RowBox[{"Log", "[", "beta", "]"}]}]}], ")"}]}], "-", 
     RowBox[{"3", "beta", " ", 
      RowBox[{"Log", "[", 
       FractionBox["4", 
        RowBox[{"1", "-", 
         SuperscriptBox["beta", "2"]}]], "]"}]}], " ", "-", 
     RowBox[{"4", " ", "beta", " ", 
      RowBox[{"Log", "[", "beta", "]"}]}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"deltath", "[", "beta_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      FractionBox["1", "beta"], 
      RowBox[{"Afunc", "[", "beta", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"16", " ", 
        SuperscriptBox["beta", "3"]}]], 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"34", 
         SuperscriptBox["beta", "2"]}], "-", 
        RowBox[{"13", 
         SuperscriptBox["beta", "4"]}]}], ")"}], 
      RowBox[{"Log", "[", 
       FractionBox[
        RowBox[{"1", "+", "beta"}], 
        RowBox[{"1", "-", "beta"}]], "]"}]}], "+", 
     RowBox[{
      FractionBox["3", 
       RowBox[{"8", 
        SuperscriptBox["beta", "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"7", " ", 
         SuperscriptBox["beta", "2"]}], "-", "1"}], ")"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"2", "-", 
     RowBox[{
     "loop", " ", "QCD", " ", "correction", " ", "for", " ", "decays", " ", 
      "into", " ", "light", " ", 
      RowBox[{"quarks", ":", "  ", 
       RowBox[{"Djouadi", " ", "@", " ", "arXiv"}], ":", 
       RowBox[{"hep", "-", 
        RowBox[{"ph", "/", "0503172"}]}]}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"deltaQQ", "[", "mu_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      FractionBox["17", 
       RowBox[{"3", " "}]], 
      FractionBox[
       RowBox[{"alphaStr", "[", "mu", "]"}], "Pi"]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"35.94", "-", 
        RowBox[{"1.36", "*", 
         RowBox[{"nf", "[", "mu", "]"}]}]}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"alphaStr", "[", "mu", "]"}], "Pi"], ")"}], "2"]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"164.14", "-", 
        RowBox[{"25.77", "*", 
         RowBox[{"nf", "[", "mu", "]"}]}], "+", 
        RowBox[{"0.259", "*", 
         SuperscriptBox[
          RowBox[{"nf", "[", "mu", "]"}], "2"]}]}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"alphaStr", "[", "mu", "]"}], "Pi"], ")"}], "3"]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"deltaH2", "[", 
     RowBox[{"mu_", ",", "mqmq_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1.57", "-", 
       RowBox[{
        FractionBox["2", "3"], 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["mu", "2"], 
          SuperscriptBox["mtop", "2"]], "]"}]}], "+", 
       RowBox[{
        FractionBox["1", "9"], 
        SuperscriptBox[
         RowBox[{"Log", "[", 
          FractionBox[
           SuperscriptBox["mqmq", "2"], 
           SuperscriptBox["mu", "2"]], "]"}], "2"]}]}], ")"}], 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox[
        RowBox[{"alphaStr", "[", "mu", "]"}], "Pi"], ")"}], "2"]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Higgs", " ", "decay", " ", "into", " ", 
     RowBox[{"quarks", ":", " ", 
      RowBox[{
       RowBox[{
       "we", " ", "consider", " ", "the", " ", "qurks", " ", "light", " ", 
        "if", " ", "MH"}], " ", ">", " ", 
       RowBox[{"10", " ", "mq"}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"decayQQ", "[", 
     RowBox[{"M_", ",", "m_", ",", "mrun_"}], "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"M", "\[LessEqual]", 
          RowBox[{"2", " ", "m"}]}]}], " ", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{"Gf", "*", "M", "*", 
            SuperscriptBox["m", "2"]}], 
           RowBox[{"4", "*", 
            SqrtBox["2"], "*", "Pi"}]], "*", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"4", " ", 
              FractionBox[
               SuperscriptBox["m", "2"], 
               SuperscriptBox["M", "2"]]}]}], ")"}], 
           RowBox[{"3", "/", "2"}]], " ", "*", "Ncol", "*", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{
             FractionBox["4", "3"], 
             FractionBox[
              RowBox[{"alphaStr", "[", "MZ", "]"}], "\[Pi]"], "*", 
             RowBox[{"deltath", "[", 
              RowBox[{"beta", "[", 
               RowBox[{"M", ",", "m", ",", "m"}], "]"}], "]"}]}]}], ")"}]}], 
         ",", 
         RowBox[{
          RowBox[{"2", "m"}], "<", "M", "\[LessEqual]", " ", 
          RowBox[{"10", "m"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{"Gf", "*", "M", "*", 
            SuperscriptBox["mrun", "2"]}], 
           RowBox[{"4", "*", 
            SqrtBox["2"], "*", "Pi"}]], "*", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"4", " ", 
              FractionBox[
               SuperscriptBox["m", "2"], 
               SuperscriptBox["M", "2"]]}]}], ")"}], 
           RowBox[{"3", "/", "2"}]], " ", "*", "Ncol", "*", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"deltaQQ", "[", "M", "]"}], "+", 
            RowBox[{"deltaH2", "[", 
             RowBox[{"M", ",", "mrun"}], "]"}]}], ")"}]}], ",", 
         RowBox[{
          RowBox[{"10", "m"}], "<", "M"}]}], "}"}]}], " ", 
      "\[IndentingNewLine]", "}"}], "]"}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.86229313793898*^9, 3.862293171038686*^9}, {
   3.862293203012062*^9, 3.862293379189135*^9}, {3.862293421713652*^9, 
   3.8622934449934063`*^9}, {3.8622935866349993`*^9, 3.862293588604419*^9}, {
   3.862559386378531*^9, 3.86255941438599*^9}, {3.862572160882107*^9, 
   3.862572162657256*^9}, {3.8628906224027348`*^9, 3.8628906272819414`*^9}, {
   3.86289080376587*^9, 3.862890806892165*^9}, {3.862891371301869*^9, 
   3.862891580694949*^9}, {3.863351894370187*^9, 3.86335193187367*^9}, {
   3.8634989805057287`*^9, 3.863498989738251*^9}, {3.9379157970677643`*^9, 
   3.937915799240576*^9}, 3.9379158492226887`*^9},
 CellLabel->"In[71]:=",ExpressionUUID->"509bd4b5-df20-4456-bf87-113f38a7d802"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"decaytt", "[", "M_", "]"}], ":=", 
  RowBox[{"decayQQ", "[", 
   RowBox[{"M", ",", "mtop", ",", 
    RowBox[{"runningtop", "[", "M", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"decaybb", "[", "M_", "]"}], ":=", 
  RowBox[{"decayQQ", "[", 
   RowBox[{"M", ",", "mbottom", ",", 
    RowBox[{"runningbottom", "[", "M", "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"decaycc", "[", "M_", "]"}], ":=", 
  RowBox[{"decayQQ", "[", 
   RowBox[{"M", ",", "mcharm", ",", 
    RowBox[{"runningcharm", "[", "M", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"decayss", "[", "M_", "]"}], ":=", 
  RowBox[{"decayQQ", "[", 
   RowBox[{"M", ",", "ms2gev", ",", 
    RowBox[{"runningstrange", "[", "M", "]"}]}], "]"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.862293606153431*^9, 3.8622936588204746`*^9}, {
  3.863499017679053*^9, 3.8634990373385954`*^9}, {3.863506104176051*^9, 
  3.863506132307836*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"b7ede7c1-1da7-4cc7-ac03-33466a7b56bf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "NLO", " ", "decay", " ", "width", " ", "of", " ", "top", " ", "quark", 
    " ", "into", " ", 
    SuperscriptBox["W", "+"], " ", "b", "  ", "pair"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"decaytopWbottom", " ", "=", " ", 
     RowBox[{
      FractionBox[
       RowBox[{"Gf", " ", 
        SuperscriptBox["mtop", "3"]}], 
       RowBox[{"8", " ", "\[Pi]", 
        SqrtBox["2"]}]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["MW", "2"], 
          SuperscriptBox["mtop", "2"]]}], ")"}], "2"], "*", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", 
         FractionBox[
          SuperscriptBox["MW", "2"], 
          SuperscriptBox["mtop", "2"]]}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"alphaStr", "[", "MZ", "]"}]}], 
          RowBox[{"3", "\[Pi]"}]], 
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{"2", 
             SuperscriptBox["\[Pi]", "2"]}], "3"], "-", 
           FractionBox["5", "2"]}], ")"}]}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"CMS", " ", 
      SqrtBox["s"]}], " ", "=", " ", 
     RowBox[{
     "8", " ", "TeV", " ", "data", " ", "for", " ", "top", " ", "decay", " ", 
      "width"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"decaytop", " ", "=", " ", "1.36"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"brtWb", "=", 
     RowBox[{"decaytopWbottom", "/", "decaytop"}]}], ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.863151655802754*^9, 3.86315177967172*^9}, {
  3.863152088603443*^9, 3.863152088725471*^9}, {3.8631521419755697`*^9, 
  3.863152142069274*^9}, {3.8631522247106857`*^9, 3.863152312168231*^9}},
 CellLabel->"In[80]:=",ExpressionUUID->"0e343658-1520-4f91-a064-1425c7d8b9a7"]
}, Closed]],

Cell[CellGroupData[{

Cell["loop induced", "Subsection",
 CellChangeTimes->{{3.860573384562803*^9, 3.860573402314246*^9}, {
  3.860574593186722*^9, 3.8605745971696405`*^9}, {3.937917912448763*^9, 
  3.937917915586453*^9}},ExpressionUUID->"f703ff62-5a13-4583-b5d6-\
ac5b84e1cf88"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Source", ":", " ", 
    RowBox[{"Djouadi", " ", "@", " ", "arXiv"}], ":", 
    RowBox[{"hep", "-", 
     RowBox[{"ph", "/", "0503172"}]}], " ", ":", " ", 
    RowBox[{"Loop", " ", "induced", " ", "decays"}]}], "  ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Eq", ".", " ", "2.46"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Aonehalf2", "[", "tau_", "]"}], ":=", 
    RowBox[{"2", "*", 
     RowBox[{"(", 
      RowBox[{"tau", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"tau", "-", "1"}], ")"}], "*", 
        RowBox[{"ffunc", "[", "tau", "]"}]}]}], ")"}], "*", 
     SuperscriptBox["tau", 
      RowBox[{"-", "2"}]]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Aone2", "[", "tau_", "]"}], ":=", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", 
         SuperscriptBox["tau", "2"]}], "+", 
        RowBox[{"3", " ", "tau"}], "+", 
        RowBox[{"3", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "tau"}], "-", "1"}], ")"}], 
         RowBox[{"ffunc", "[", "tau", "]"}]}]}], ")"}]}], "*", 
     SuperscriptBox["tau", 
      RowBox[{"-", "2"}]]}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Eq", ".", " ", "2.47"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ffunc", "[", "tau_", "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"ArcSin", "[", 
           SqrtBox["tau"], "]"}], "2"], ",", 
         RowBox[{"tau", "\[LessEqual]", " ", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "4"]}], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Log", "[", 
              FractionBox[
               RowBox[{"1", "+", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  RowBox[{"1", "/", "tau"}]}]]}], 
               RowBox[{"1", "-", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  RowBox[{"1", "/", "tau"}]}]]}]], "]"}], "-", 
             RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}]}], ")"}], "2"]}], ",", 
         RowBox[{"tau", ">", "1"}]}], "}"}]}], "}"}], "]"}], 
    " "}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.861776902312894*^9, {3.861776951695414*^9, 3.861776952922942*^9}, {
   3.8617770028987813`*^9, 3.8617770602128754`*^9}, {3.862317626971575*^9, 
   3.8623176498378005`*^9}, {3.8628918267321005`*^9, 3.8628919257059813`*^9}},
 CellLabel->"In[83]:=",ExpressionUUID->"e59220ed-b513-477a-9416-3c1d820a472a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"decayAA", "[", "M_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"Gf", " ", 
      SuperscriptBox["alphaEM", "2"], 
      SuperscriptBox["M", "3"]}], 
     RowBox[{"128", 
      SqrtBox["2"], 
      SuperscriptBox["\[Pi]", "3"]}]], 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{
        FractionBox["4", "3"], 
        RowBox[{"Aonehalf2", "[", 
         FractionBox[
          SuperscriptBox["M", "2"], 
          RowBox[{"4", 
           SuperscriptBox["mtop", "2"]}]], "]"}]}], "+", 
       RowBox[{
        FractionBox["1", "3"], 
        RowBox[{"Aonehalf2", "[", 
         FractionBox[
          SuperscriptBox["M", "2"], 
          RowBox[{"4", 
           SuperscriptBox["mbottom", "2"]}]], "]"}]}], "+", 
       RowBox[{"Aonehalf2", "[", 
        FractionBox[
         SuperscriptBox["M", "2"], 
         RowBox[{"4", 
          SuperscriptBox["mtau", "2"]}]], "]"}], "+", 
       RowBox[{"Aone2", "[", 
        FractionBox[
         SuperscriptBox["M", "2"], 
         RowBox[{"4", 
          SuperscriptBox["MW", "2"]}]], "]"}]}], "]"}], "2"]}]}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Source", ":", " ", "arXiv", ":", 
    RowBox[{"hep", "-", 
     RowBox[{
      RowBox[{"ph", "/", 
       RowBox[{
        RowBox[{"9705240", " ", "@", " ", "Eq"}], ".", " ", "11."}]}], " ", 
      "and", " ", 
      RowBox[{"arXiv", "/", "0604194"}]}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"deltaGG", "[", "mu_", "]"}], ":=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"as", "=", 
       FractionBox[
        RowBox[{"alphaStr", "[", "mu", "]"}], "\[Pi]"]}], ",", 
      RowBox[{"NFl", "=", 
       RowBox[{"nf", "[", "mu", "]"}]}], ",", 
      RowBox[{"logtop", "=", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["mtop", "2"], 
         SuperscriptBox["mu", "2"]], "]"}]}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"as", "*", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["95", "4"], "-", 
        RowBox[{
         FractionBox["7", "6"], "*", "NFl"}], "+", "0.7"}], " ", 
       RowBox[{"(*", 
        RowBox[{"NLO", " ", "mass", " ", "effects"}], "*)"}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["as", "2"], "*", 
      RowBox[{"(", 
       RowBox[{"370.2", "-", 
        RowBox[{"47.2", "*", "NFl"}], "+", 
        RowBox[{"0.9", "*", 
         SuperscriptBox["NFl", "2"]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"2.38", "+", 
           RowBox[{"0.667", " ", "*", "NFl"}]}], ")"}], "*", "logtop"}]}], 
       ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["as", "3"], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4533.46", "-", 
          RowBox[{"1062.82", "*", "NFl"}], "+", 
          RowBox[{"52.62", 
           SuperscriptBox["NFl", "2"]}], "-", 
          RowBox[{"0.5378", "*", 
           SuperscriptBox["NFl", "3"]}]}], ")"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"66.66", "+", 
           RowBox[{"14.60", "*", "NFl"}], "-", 
           RowBox[{"0.6887", "*", 
            SuperscriptBox["NFl", "2"]}]}], ")"}], "logtop"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"6.53", "+", 
           RowBox[{"1.44", "*", "NFl"}], "-", 
           RowBox[{"0.111", "*", 
            SuperscriptBox["NFl", "2"]}]}], ")"}], 
         SuperscriptBox["logtop", "2"]}]}], ")"}]}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"decayGG", "[", "M_", "]"}], ":=", 
  RowBox[{
   FractionBox[
    RowBox[{"Gf", " ", 
     SuperscriptBox[
      RowBox[{"alphaStr", "[", "M", "]"}], "2"], " ", 
     SuperscriptBox["M", "3"]}], 
    RowBox[{"36", "*", 
     SqrtBox["2"], 
     SuperscriptBox["\[Pi]", "3"]}]], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox["3", "4"], ")"}], "2"], 
   SuperscriptBox[
    RowBox[{"Abs", "[", 
     RowBox[{
      RowBox[{"Aonehalf2", "[", 
       FractionBox[
        SuperscriptBox["M", "2"], 
        RowBox[{"4", "*", 
         SuperscriptBox["mtop", "2"]}]], "]"}], "+", 
      RowBox[{"Aonehalf2", "[", 
       FractionBox[
        SuperscriptBox["M", "2"], 
        RowBox[{"4", "*", 
         SuperscriptBox["mbottom", "2"]}]], "]"}]}], "]"}], "2"], "*", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"deltaGG", "[", "M", "]"}]}], ")"}]}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.861776910540661*^9, 3.861776995908841*^9}, {
   3.861777077858434*^9, 3.861777098662917*^9}, {3.861777188597819*^9, 
   3.861777205554265*^9}, {3.861777253586572*^9, 3.861777285426859*^9}, {
   3.861777320435113*^9, 3.8617773345393624`*^9}, 3.861779026748722*^9, {
   3.861779946158854*^9, 3.8617799555586247`*^9}, {3.861780207421956*^9, 
   3.861780252051536*^9}, {3.861780588175968*^9, 3.861780590401938*^9}, 
   3.8617813795481443`*^9, 3.862312893645056*^9, {3.8623129434745827`*^9, 
   3.862313077749649*^9}, {3.862313250218376*^9, 3.862313255066318*^9}, {
   3.8623134077470274`*^9, 3.862313423763692*^9}, 3.8628920063570757`*^9, {
   3.862892220253769*^9, 3.862892248339026*^9}, {3.863503865070335*^9, 
   3.863503897849554*^9}, {3.86350400257102*^9, 3.863504149465826*^9}, {
   3.8635043842640233`*^9, 3.863504395528795*^9}, {3.863504536997553*^9, 
   3.863504575738563*^9}, {3.863504804464125*^9, 3.863504805254481*^9}, {
   3.863504925729825*^9, 3.863504929975908*^9}, {3.937915945106577*^9, 
   3.937915957169565*^9}},
 CellLabel->"In[86]:=",ExpressionUUID->"2403db22-64c4-4e3e-b800-cf43155287b5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Eq", ".", " ", "2.56"}], " ", "and", " ", "modified", " ", "f", 
    RowBox[{"(", "tau", ")"}], " ", "from", " ", 
    RowBox[{
     SuperscriptBox["M", "2"], "/", 
     RowBox[{"(", 
      RowBox[{"4", 
       SuperscriptBox["m", "2"]}], ")"}]}], " ", "into", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"4", 
       SuperscriptBox["m", "2"]}], ")"}], "/", 
     SuperscriptBox["M", "2"]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ffuncZA", "[", "tau_", "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"ArcSin", "[", 
           SqrtBox["tau"], "]"}], "2"], ",", 
         RowBox[{"tau", "\[GreaterEqual]", "  ", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "4"]}], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Log", "[", 
              FractionBox[
               RowBox[{"1", "+", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  RowBox[{"1", "/", "tau"}]}]]}], 
               RowBox[{"1", "-", 
                SqrtBox[
                 RowBox[{"1", "-", 
                  RowBox[{"1", "/", "tau"}]}]]}]], "]"}], "-", 
             RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}]}], ")"}], "2"]}], ",", 
         RowBox[{"tau", "<", "1"}]}], "}"}]}], "}"}], "]"}]}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gfunc", "[", "tau_", "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox[
           SqrtBox[
            RowBox[{"1", "-", 
             RowBox[{"1", "/", "tau"}]}]], "2"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Log", "[", 
             FractionBox[
              RowBox[{"1", "+", 
               SqrtBox[
                RowBox[{"1", "-", 
                 RowBox[{"1", "/", "tau"}]}]]}], 
              RowBox[{"1", "-", 
               SqrtBox[
                RowBox[{"1", "-", 
                 RowBox[{"1", "/", "tau"}]}]]}]], "]"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}]}], ")"}]}], ",", 
         RowBox[{"tau", "<", " ", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          SqrtBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"1", "/", "tau"}]}]], 
          RowBox[{"ArcSin", "[", 
           SqrtBox["tau"], "]"}]}], ",", 
         RowBox[{"tau", "\[GreaterEqual]", " ", "1"}]}], "}"}]}], "}"}], 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Eq", ".", " ", "2.54"}], " ", "and", " ", "2.55"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Aone", "[", 
     RowBox[{"tau_", ",", "lam_"}], "]"}], ":=", 
    RowBox[{"cw", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", "*", 
        RowBox[{"(", 
         RowBox[{"3", "-", 
          FractionBox[
           SuperscriptBox["sw", "2"], 
           SuperscriptBox["cw", "2"]]}], ")"}], 
        RowBox[{"I2", "[", 
         RowBox[{"tau", ",", "lam"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", 
             FractionBox["2", "tau"]}], ")"}], 
           FractionBox[
            SuperscriptBox["sw", "2"], 
            SuperscriptBox["cw", "2"]]}], "-", 
          RowBox[{"(", 
           RowBox[{"5", "+", 
            FractionBox["2", "tau"]}], ")"}]}], ")"}], 
        RowBox[{"I1", "[", 
         RowBox[{"tau", ",", "lam"}], "]"}]}]}], ")"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Aonehalf", "[", 
     RowBox[{"tau_", ",", "lam_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"I1", "[", 
      RowBox[{"tau", ",", "lam"}], "]"}], "-", 
     RowBox[{"I2", "[", 
      RowBox[{"tau", ",", "lam"}], "]"}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"I1", "[", 
     RowBox[{"tau_", ",", "lam_"}], "]"}], ":=", 
    RowBox[{
     FractionBox[
      RowBox[{"tau", " ", "lam"}], 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"tau", "-", "lam"}], ")"}]}]], "+", 
     RowBox[{
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"tau", " ", "lam"}], ")"}], "2"], 
       RowBox[{"2", "*", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"tau", "-", "lam"}], ")"}], "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"ffuncZA", "[", 
         FractionBox["1", "tau"], "]"}], "-", 
        RowBox[{"ffuncZA", "[", 
         FractionBox["1", "lam"], "]"}]}], ")"}]}], " ", "+", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["tau", "2"], " ", "lam"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"tau", "-", "lam"}], ")"}], "2"]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"gfunc", "[", 
         FractionBox["1", "tau"], "]"}], "-", 
        RowBox[{"gfunc", "[", 
         FractionBox["1", "lam"], "]"}]}], ")"}]}]}]}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"I2", "[", 
     RowBox[{"tau_", ",", "lam_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"tau", " ", "lam"}], 
       RowBox[{"2", "*", 
        RowBox[{"(", 
         RowBox[{"tau", "-", "lam"}], ")"}]}]]}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"ffuncZA", "[", 
        FractionBox["1", "tau"], "]"}], "-", 
       RowBox[{"ffuncZA", "[", 
        FractionBox["1", "lam"], "]"}]}], ")"}]}]}], "  ", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"decayZA", "[", "M_", "]"}], ":=", 
    RowBox[{"Piecewise", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"M", "\[LessEqual]", " ", "MZ"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox[
             RowBox[{"Gf", "*", "M", "*", "MW"}], 
             RowBox[{"2", "*", 
              SqrtBox["2"], "*", "\[Pi]"}]], ")"}], "2"], " ", 
          FractionBox["alphaEM", 
           RowBox[{"8", " ", 
            SuperscriptBox["\[Pi]", "2"]}]], "*", "M", "*", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["MZ", "2"], 
              SuperscriptBox["M", "2"]]}], ")"}], "3"], "*", 
          SuperscriptBox[
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{
              FractionBox["1", "cw"], 
              RowBox[{"(", 
               RowBox[{"3", "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    FractionBox["1", "3"], "-", 
                    RowBox[{
                    FractionBox["4", "9"], 
                    SuperscriptBox["sw", "2"]}]}], ")"}], 
                   RowBox[{"Aonehalf", "[", 
                    RowBox[{
                    RowBox[{"4", " ", 
                    FractionBox[
                    SuperscriptBox["mbmb", "2"], 
                    SuperscriptBox["M", "2"]]}], ",", 
                    RowBox[{"4", " ", 
                    FractionBox[
                    SuperscriptBox["mbmb", "2"], 
                    SuperscriptBox["MZ", "2"]]}]}], "]"}]}], " ", "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    FractionBox["2", "3"], "-", 
                    RowBox[{
                    FractionBox[
                    RowBox[{"16", " "}], "9"], 
                    SuperscriptBox["sw", "2"]}]}], ")"}], 
                   RowBox[{"Aonehalf", "[", 
                    RowBox[{
                    RowBox[{"4", " ", 
                    FractionBox[
                    SuperscriptBox["mtop", "2"], 
                    SuperscriptBox["M", "2"]]}], ",", 
                    RowBox[{"4", " ", 
                    FractionBox[
                    SuperscriptBox["mtop", "2"], 
                    SuperscriptBox["MZ", "2"]]}]}], "]"}]}]}], ")"}]}], 
               ")"}]}], "+", 
             RowBox[{"Aone", "[", 
              RowBox[{
               RowBox[{"4", " ", 
                FractionBox[
                 SuperscriptBox["MW", "2"], 
                 SuperscriptBox["M", "2"]]}], ",", 
               RowBox[{"4", " ", 
                FractionBox[
                 SuperscriptBox["MW", "2"], 
                 SuperscriptBox["MZ", "2"]]}]}], "]"}]}], "]"}], "2"]}], ",", 
         RowBox[{"MZ", "<", "M"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], 
     "]"}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.860575227425112*^9, 3.8605752387126355`*^9}, {
   3.8605753015441675`*^9, 3.8605753070150075`*^9}, {3.860575486488124*^9, 
   3.8605755043022156`*^9}, 3.8605758037691393`*^9, 3.8605758457414956`*^9, {
   3.860575898932314*^9, 3.8605759091111135`*^9}, 3.8605761996161585`*^9, 
   3.860576233436507*^9, {3.8605765799231887`*^9, 3.860576581465672*^9}, {
   3.8605766289627657`*^9, 3.8605766319883785`*^9}, {3.860584114584813*^9, 
   3.860584196701626*^9}, 3.860584456329438*^9, {3.861776933003703*^9, 
   3.8617769343723345`*^9}, 3.862313664921117*^9, {3.8623139639728518`*^9, 
   3.8623139783515897`*^9}, {3.862314371708658*^9, 3.8623143930999365`*^9}, {
   3.862317659776085*^9, 3.862317663414851*^9}, 3.862318102186015*^9, {
   3.862891929247701*^9, 3.8628919940257173`*^9}, {3.8628922557290287`*^9, 
   3.862892255935708*^9}, 3.93791596359658*^9},
 CellLabel->"In[89]:=",ExpressionUUID->"808be3fe-068d-49b1-8122-24e8bc26f0b8"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Output generation", "Section",
 CellChangeTimes->{{3.8605731235160136`*^9, 3.860573128296332*^9}, {
  3.862887259161261*^9, 3.8628872654061203`*^9}, {3.8628993593406143`*^9, 
  3.862899383995141*^9}, {3.895045254495455*^9, 3.895045254685113*^9}, {
  3.93556352037652*^9, 3.935563525872752*^9}, {3.937916161241751*^9, 
  3.937916171007204*^9}},ExpressionUUID->"feee4195-dddf-44e2-b864-\
0bbdd0284fef"],

Cell[CellGroupData[{

Cell["Compute decay widths", "Subsection",
 CellChangeTimes->{{3.860815012022813*^9, 3.8608150272214403`*^9}, {
  3.863155478769044*^9, 3.86315551080099*^9}, {3.937916069892193*^9, 
  3.937916072922774*^9}},ExpressionUUID->"902489db-6997-43fd-9d50-\
7dd516a57911"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "vars", ",", "mh", ",", "ms", ",", "thetaS", ",", "tanB", ",", "mn", ",", 
    "nnu"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vars", "=", 
    RowBox[{"{", 
     RowBox[{
     "mh", ",", "ms", ",", "thetaS", ",", "tanB", ",", "mn", ",", "nnu"}], 
     "}"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Compute", " ", "all", " ", "partial", " ", "widths", " ", "for", " ", 
    "the", " ", "Higgs", " ", "boson", " ", "and", " ", "the", " ", "new", 
    " ", "scalar"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"partialwidths", "[", 
   RowBox[{"{", 
    RowBox[{
    "mh_", ",", "ms_", ",", "thetaS_", ",", "tanB_", ",", "mn_", ",", 
     "nnu_"}], "}"}], "]"}], ":=", 
  RowBox[{"With", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"cs2", " ", "=", " ", 
       SuperscriptBox[
        RowBox[{"Cos", "[", "thetaS", "]"}], "2"]}], ",", 
      RowBox[{"ss2", "=", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "thetaS", "]"}], "2"]}]}], " ", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"decay2Scalar", "[", 
       RowBox[{"mh", ",", "ms", ",", 
        SuperscriptBox[
         RowBox[{"couplingHSS", "[", 
          RowBox[{"mh", ",", "ms", ",", "thetaS", ",", "tanB"}], "]"}], 
         "2"]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"decayHWW", "[", "mh", "]"}], "*", "cs2"}], ",", 
      RowBox[{
       RowBox[{"decayHZZ", "[", "mh", "]"}], "*", "cs2"}], ",", 
      RowBox[{"0.5", "*", 
       RowBox[{"decVVMassless", "[", "mh", "]"}], "*", 
       RowBox[{"(", 
        FractionBox["ss2", 
         SuperscriptBox["tanB", "2"]], ")"}]}], ",", 
      RowBox[{"nnu", "*", "0.5", "*", 
       RowBox[{"decayFF", "[", 
        RowBox[{"mh", ",", "mn", ",", "1."}], "]"}], "*", 
       FractionBox["ss2", 
        SuperscriptBox["tanB", "2"]]}], ",", "\[IndentingNewLine]", 
      RowBox[{"cs2", "*", 
       RowBox[{"decayFF", "[", 
        RowBox[{"mh", ",", "mmuon", ",", "1."}], "]"}]}], ",", 
      RowBox[{"cs2", "*", 
       RowBox[{"decayFF", "[", 
        RowBox[{"mh", ",", "mtau", ",", "1."}], "]"}]}], ",", 
      RowBox[{"cs2", " ", 
       RowBox[{"decayss", "[", "mh", "]"}]}], ",", 
      RowBox[{"cs2", " ", 
       RowBox[{"decaycc", "[", "mh", "]"}]}], ",", 
      RowBox[{"cs2", " ", 
       RowBox[{"decaybb", "[", "mh", "]"}]}], ",", 
      RowBox[{"cs2", " ", 
       RowBox[{"decaytt", "[", "mh", "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"cs2", " ", 
       RowBox[{"decayGG", "[", "mh", "]"}]}], ",", 
      RowBox[{"cs2", " ", 
       RowBox[{"decayAA", "[", "mh", "]"}]}], ",", 
      RowBox[{"cs2", " ", 
       RowBox[{"decayZA", "[", "mh", "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"decay2Scalar", "[", 
       RowBox[{"ms", ",", "mh", ",", 
        SuperscriptBox[
         RowBox[{"couplingSHH", "[", 
          RowBox[{"mh", ",", "ms", ",", "thetaS", ",", "tanB"}], "]"}], 
         "2"]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"decayHWW", "[", "ms", "]"}], "ss2"}], ",", 
      RowBox[{
       RowBox[{"decayHZZ", "[", "ms", "]"}], "*", "ss2"}], ",", 
      RowBox[{"0.5", "*", 
       RowBox[{"decVVMassless", "[", "ms", "]"}], "*", 
       RowBox[{"(", 
        FractionBox["cs2", 
         SuperscriptBox["tanB", "2"]], ")"}]}], ",", 
      RowBox[{"nnu", "*", "0.5", "*", 
       RowBox[{"decayFF", "[", 
        RowBox[{"ms", ",", "mn", ",", "1."}], "]"}], "*", 
       FractionBox["cs2", 
        SuperscriptBox["tanB", "2"]]}], ",", "\[IndentingNewLine]", 
      RowBox[{"ss2", " ", 
       RowBox[{"decayFF", "[", 
        RowBox[{"ms", ",", "mmuon", ",", "1."}], "]"}]}], ",", 
      RowBox[{"ss2", " ", 
       RowBox[{"decayFF", "[", 
        RowBox[{"ms", ",", "mtau", ",", "1."}], "]"}]}], ",", 
      RowBox[{"ss2", "*", 
       RowBox[{"decayss", "[", "ms", "]"}]}], ",", 
      RowBox[{"ss2", "*", 
       RowBox[{"decaycc", "[", "ms", "]"}]}], ",", 
      RowBox[{"ss2", "*", 
       RowBox[{"decaybb", "[", "ms", "]"}]}], ",", 
      RowBox[{"ss2", "*", 
       RowBox[{"decaytt", "[", "ms", "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"ss2", " ", 
       RowBox[{"decayGG", "[", "ms", "]"}]}], ",", 
      RowBox[{"ss2", " ", 
       RowBox[{"decayAA", "[", "ms", "]"}]}], ",", 
      RowBox[{"ss2", " ", 
       RowBox[{"decayZA", "[", "ms", "]"}]}]}], "\[IndentingNewLine]", 
     "}"}]}], "]"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.860571886101905*^9, 3.8605720304057827`*^9}, {
   3.860572493161372*^9, 3.860572541692614*^9}, {3.8605725797910376`*^9, 
   3.860572652226183*^9}, {3.860572750986521*^9, 3.8605727819501605`*^9}, {
   3.860572812258675*^9, 3.86057281722862*^9}, {3.8605744760701632`*^9, 
   3.860574551938599*^9}, {3.860576646392514*^9, 3.860576698776294*^9}, {
   3.860576752007752*^9, 3.860576754021761*^9}, {3.8605781199013677`*^9, 
   3.860578125539808*^9}, {3.860578332021096*^9, 3.860578361775429*^9}, {
   3.860578870277583*^9, 3.860578915690251*^9}, {3.860586736812407*^9, 
   3.860586756019093*^9}, {3.860747788273279*^9, 3.860747789074453*^9}, {
   3.860756491288908*^9, 3.860756499724488*^9}, {3.860756840161992*^9, 
   3.860756883366773*^9}, {3.860756951830381*^9, 3.860756952195044*^9}, {
   3.860914795987398*^9, 3.860914836014623*^9}, {3.861180485123192*^9, 
   3.861180491163578*^9}, {3.861180556167571*^9, 3.861180559496654*^9}, {
   3.861676695362049*^9, 3.861676704861384*^9}, {3.8622937395866365`*^9, 
   3.862293751751313*^9}, {3.8623890884487724`*^9, 3.8623891080234575`*^9}, {
   3.862571462711403*^9, 3.8625715232534957`*^9}, {3.862892267258253*^9, 
   3.862892271793462*^9}, {3.863001105230874*^9, 3.863001145938718*^9}, {
   3.863001178372784*^9, 3.863001304719833*^9}, {3.863001394262097*^9, 
   3.863001544668988*^9}, {3.863001576456311*^9, 3.863001658014233*^9}, 
   3.863008024698717*^9, {3.863008059660119*^9, 3.863008088912455*^9}, 
   3.8630082282260866`*^9, {3.863008325761818*^9, 3.863008348606802*^9}, {
   3.86300843040586*^9, 3.863008460004581*^9}, {3.863009326561097*^9, 
   3.86300933006814*^9}, {3.863009366683711*^9, 3.863009368305463*^9}, 
   3.863009754295305*^9, {3.863009944302077*^9, 3.863009947138017*^9}, {
   3.863506218555787*^9, 3.863506240229001*^9}, {3.8635062717733655`*^9, 
   3.863506274314417*^9}, {3.8635063098747463`*^9, 3.863506313298997*^9}, {
   3.863508688692381*^9, 3.8635087133761234`*^9}, {3.86350874868067*^9, 
   3.863508749669055*^9}, {3.863592216048851*^9, 3.863592233170718*^9}, {
   3.86376421223085*^9, 3.863764225140718*^9}, {3.868173634220621*^9, 
   3.868173662008132*^9}, {3.868173708346348*^9, 3.868173770765379*^9}, {
   3.935561137532092*^9, 3.935561151648981*^9}, {3.935561211304266*^9, 
   3.935561213527252*^9}, {3.935561261453546*^9, 3.9355613297814674`*^9}, {
   3.935561448903518*^9, 3.935561511230945*^9}, {3.935561658223314*^9, 
   3.9355616740866065`*^9}, {3.935561704839773*^9, 3.935561742918064*^9}, {
   3.935561775854698*^9, 3.9355618422062836`*^9}, {3.935561919207069*^9, 
   3.935561966943*^9}, {3.9379164726772785`*^9, 3.937916594174261*^9}, 
   3.937916635188919*^9, {3.937916675358791*^9, 3.93791667650041*^9}, {
   3.9379171812481003`*^9, 3.937917205520588*^9}, {3.9379175437813687`*^9, 
   3.937917544615439*^9}},
 CellLabel->"In[96]:=",ExpressionUUID->"8ccc7717-680f-4c0d-89f3-6067c88957f2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Generate", " ", "a", " ", "compiled", " ", "version", " ", "of", " ", 
    "the", " ", "decay", " ", "width", " ", "calculator"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"compiledPW", "=", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"vars", "=", "vars"}], ",", 
        RowBox[{"fun", "=", 
         RowBox[{"partialwidths", "[", "vars", "]"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Compile", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"X", ",", "_Complex", ",", "1"}], "}"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Block", "[", 
         RowBox[{"vars", ",", 
          RowBox[{
           RowBox[{"vars", "=", "X"}], ";", "fun"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"CompilationTarget", "\[Rule]", "\"\<C\>\""}], ","}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"CompilationOptions", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<InlineExternalDefinitions\>\"", "\[Rule]", "True"}], 
          "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"RuntimeAttributes", "\[Rule]", 
         RowBox[{"{", "Listable", "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"Parallelization", "\[Rule]", "True"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"RuntimeOptions", "\[Rule]", "\"\<Speed\>\""}]}], 
       "\[IndentingNewLine]", "]"}]}], "]"}]}], ";"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.860652732128691*^9, 3.8606528619168525`*^9}, {
   3.860652897461326*^9, 3.860652970992063*^9}, {3.860653006364712*^9, 
   3.860653019660689*^9}, {3.8606530603936353`*^9, 3.860653111062087*^9}, {
   3.8606531654933157`*^9, 3.8606532278328543`*^9}, {3.860653266923961*^9, 
   3.860653361698737*^9}, {3.860653418189303*^9, 3.8606534207838616`*^9}, {
   3.860653790682517*^9, 3.860653842360868*^9}, {3.860653918382058*^9, 
   3.8606539185861487`*^9}, {3.8606539495725284`*^9, 3.8606539919799*^9}, {
   3.860654322914753*^9, 3.860654361059973*^9}, {3.860654451881916*^9, 
   3.860654454233988*^9}, {3.860654548344767*^9, 3.8606545503832307`*^9}, {
   3.860759625430701*^9, 3.860759658415703*^9}, {3.860759693152752*^9, 
   3.860759700389087*^9}, {3.860759736685587*^9, 3.860759818186393*^9}, {
   3.860759863584278*^9, 3.860759898994674*^9}, {3.860760075816728*^9, 
   3.860760082764592*^9}, {3.860760147811381*^9, 3.860760149153531*^9}, {
   3.860760194396633*^9, 3.860760236460202*^9}, {3.8607603801595273`*^9, 
   3.860760394382932*^9}, {3.860760488519842*^9, 3.8607604889780116`*^9}, 
   3.860760596309826*^9, {3.860760666021024*^9, 3.8607606683109655`*^9}, {
   3.860760804130155*^9, 3.8607608094585114`*^9}, {3.860760848009502*^9, 
   3.860760873103651*^9}, {3.8607609503294115`*^9, 3.8607609990793905`*^9}, {
   3.8609159677428517`*^9, 3.8609160255214014`*^9}, 3.8619418031470065`*^9, 
   3.863001069933205*^9, {3.8630016142118797`*^9, 3.863001625601577*^9}, {
   3.8630071529351215`*^9, 3.8630071542649918`*^9}, 3.863007472623561*^9, {
   3.863008388541979*^9, 3.86300839227075*^9}, {3.8630084956836*^9, 
   3.863008522102276*^9}, 3.863008923604677*^9, {3.863009762182606*^9, 
   3.863009762973211*^9}, {3.863080992081883*^9, 3.863080993179221*^9}, {
   3.863081061483944*^9, 3.863081077410276*^9}, {3.863081925091689*^9, 
   3.863081927161282*^9}, {3.863592242976436*^9, 3.863592262591923*^9}, 
   3.863683220926796*^9, {3.8636832700992203`*^9, 3.863683271612043*^9}, 
   3.8637643726389112`*^9, {3.863764500976845*^9, 3.863764580793468*^9}, {
   3.935562210749743*^9, 3.935562219562251*^9}, {3.937916021025287*^9, 
   3.9379160378382473`*^9}, 3.937917502937834*^9},
 CellLabel->"In[99]:=",ExpressionUUID->"78f3aff0-4e70-4253-9323-86803ac18393"]
}, Closed]],

Cell[CellGroupData[{

Cell["Wrapper functions", "Subsection",
 CellChangeTimes->{{3.860815012022813*^9, 3.8608150272214403`*^9}, {
  3.863155478769044*^9, 3.86315551080099*^9}, {3.937916069892193*^9, 
  3.937916072922774*^9}, {3.937916136936283*^9, 
  3.937916139384882*^9}},ExpressionUUID->"fad29f7d-a135-0344-b6fe-\
7bf6d75f9da4"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"decayHead", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<scalar_type\>\"", ",", "\"\<total_width[GeV]\>\"", ",", 
     "\"\<br(ss/hh)\>\"", ",", "\"\<br(WW)\>\"", ",", "\"\<br(ZZ)\>\"", ",", 
     "\"\<br(ZpZp)\>\"", ",", "\"\<num_nu*br(NN)\>\"", ",", 
     "\"\<br(mumu)\>\"", ",", "\"\<br(tata)\>\"", ",", "\"\<br(ss)\>\"", ",", 
     "\"\<br(cc)\>\"", ",", "\"\<br(bb)\>\"", ",", "\"\<br(tt)\>\"", ",", 
     "\"\<br(gg)\>\"", ",", "\"\<br(aa)\>\"", ",", "\"\<br(Za)\>\""}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prepDecays", "[", "data_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"mh", "=", 
       RowBox[{"data", "[", 
        RowBox[{"[", 
         RowBox[{";;", "14"}], "]"}], "]"}]}], ",", 
      RowBox[{"ms", "=", 
       RowBox[{"data", "[", 
        RowBox[{"[", 
         RowBox[{"15", ";;"}], "]"}], "]"}]}], ",", "gamH", ",", "gamS"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"gamH", "=", 
      RowBox[{"Total", "[", "mh", "]"}]}], ";", 
     RowBox[{"gamS", "=", 
      RowBox[{"Total", "[", "ms", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"decayHead", ",", "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<h\>\"", ",", "gamH", ",", 
           RowBox[{"mh", "/", "gamH"}]}], "}"}], ",", "1"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<s\>\"", ",", "gamS", ",", 
           RowBox[{"ms", "/", "gamS"}]}], "}"}], ",", "1"}], "]"}]}], 
      "}"}]}]}], "\[IndentingNewLine]", "]"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.935562549293426*^9, 3.935562767371352*^9}, {
  3.935562829929188*^9, 3.935562836194149*^9}, {3.93556287584956*^9, 
  3.9355629923320904`*^9}, {3.935563041501228*^9, 3.935563062923316*^9}, {
  3.935563104019768*^9, 3.935563106844079*^9}, {3.935563303523571*^9, 
  3.9355633060517097`*^9}, {3.9355642328838234`*^9, 3.935564236479685*^9}, {
  3.935564276042466*^9, 3.935564277946367*^9}, {3.93799145770949*^9, 
  3.93799145870493*^9}},
 CellLabel->
  "In[100]:=",ExpressionUUID->"0cc624b8-2ee4-4dac-a35b-5343deab4dfa"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"prodFuncs", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Interpolation", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"prodData", "[", 
         RowBox[{"[", 
          RowBox[{"2", ";;"}], "]"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "#"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", 
     RowBox[{"2", ",", "7"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prodCXcals", "[", "ms_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"prodFuncs", "[", 
      RowBox[{"[", "#", "]"}], "]"}], "[", "ms", "]"}], "&"}], "/@", 
   RowBox[{"Range", "[", 
    RowBox[{"Length", "[", "prodFuncs", "]"}], "]"}]}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.9355635701466985`*^9, 3.935563627868207*^9}, {
  3.9355642564877915`*^9, 3.935564257681228*^9}, {3.935564408863667*^9, 
  3.935564426496674*^9}, {3.93790545525371*^9, 3.93790545603097*^9}},
 CellLabel->
  "In[102]:=",ExpressionUUID->"04baa924-9954-450c-9323-102041a359d1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"prodHead", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<scalar_type\>\"", ",", "\"\<sig(pp_H)[pb]\>\"", ",", 
     "\"\<ggH_NLO[pb]\>\"", ",", "\"\<WBF_LO[pb]\>\"", ",", 
     "\"\<ZBF_LO[pb]\>\"", ",", "\"\<WH_NLO[pb]\>\"", ",", 
     "\"\<ZH_NLO[pb]\>\""}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fullprodCalc", "[", "data_", "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"tmp", "=", "data"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"tmp", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "=", 
       RowBox[{
        RowBox[{"tmp", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "*", 
        RowBox[{"tmp", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], ";", 
      RowBox[{"tmp", "[", 
       RowBox[{"[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}], "]"}], 
       "]"}]}]}], " ", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prepProd", "[", 
   RowBox[{"ms_", ",", "mh_", ",", "thetas_"}], "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"pros", "=", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Sin", "[", "thetas", "]"}], "2"], "*", 
        RowBox[{"fullprodCalc", "[", 
         RowBox[{"prodCXcals", "[", "ms", "]"}], "]"}]}]}], ",", 
      RowBox[{"proh", "=", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Cos", "[", "thetas", "]"}], "2"], "*", 
        RowBox[{"fullprodCalc", "[", 
         RowBox[{"prodCXcals", "[", "mh", "]"}], "]"}]}]}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"prodHead", ",", "\[IndentingNewLine]", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<h\>\"", ",", 
          RowBox[{"Total", "[", "proh", "]"}], ",", "proh"}], "}"}], ",", 
        "1"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<s\>\"", ",", 
          RowBox[{"Total", "[", "pros", "]"}], ",", "pros"}], "}"}], ",", 
        "1"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", "]"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.935564228177111*^9, 3.935564302096679*^9}, {
   3.9355643619775686`*^9, 3.935564390345233*^9}, {3.935564430343095*^9, 
   3.935564442436967*^9}, {3.935564483239415*^9, 3.935564489754435*^9}, {
   3.935564595546479*^9, 3.935564597610011*^9}, {3.9355646300991383`*^9, 
   3.935564743432729*^9}, {3.9355647862897625`*^9, 3.93556479213768*^9}, {
   3.935565164001684*^9, 3.935565168113924*^9}, {3.93556541496925*^9, 
   3.935565442422467*^9}, {3.935565572639974*^9, 3.9355656412103233`*^9}, 
   3.935565684418423*^9, {3.937991460353567*^9, 3.9379914620647287`*^9}},
 CellLabel->
  "In[104]:=",ExpressionUUID->"15b4e5e0-04b7-49bb-9980-fbb4ef4ae8b6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"calcProdDec", "[", 
   RowBox[{
   "mh_", ",", "ms_", ",", "thetaS_", ",", "tanB_", ",", "mn_", ",", "nnu_"}],
    "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"data", "=", 
       RowBox[{"Re", "@", 
        RowBox[{"compiledPW", "[", 
         RowBox[{"{", 
          RowBox[{
          "mh", ",", "ms", ",", "thetaS", ",", "tanB", ",", "mn", ",", 
           "nnu"}], "}"}], "]"}]}]}], ",", "head"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"head", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<m_h[GeV] =\>\"", ",", "mh"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\"\<m_s[GeV] =\>\"", ",", "ms"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\"\<sin_s[-] =\>\"", ",", 
          RowBox[{"Sin", "[", "thetaS", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\"\<tanBeta[-] =\>\"", ",", "tanB"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\"\<m_N[GeV] =\>\"", ",", "mn"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\"\<num_nu =\>\"", ",", "nnu"}], "}"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"head", ",", 
       RowBox[{"{", 
        RowBox[{"\"\<prod_crossx\>\"", ",", 
         RowBox[{"prepProd", "[", 
          RowBox[{"ms", ",", "mh", ",", "thetaS"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\"\<decays\>\"", ",", 
         RowBox[{"prepDecays", "[", "data", "]"}]}], "}"}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.935563900357515*^9, 3.935563904093596*^9}, {
  3.935565227413699*^9, 3.9355654012644567`*^9}, {3.9355657013528504`*^9, 
  3.9355657442889647`*^9}, {3.937917612851923*^9, 3.937917613373714*^9}, {
  3.9380026452546406`*^9, 3.9380026950698166`*^9}},
 CellLabel->
  "In[122]:=",ExpressionUUID->"b3453f13-9aed-49eb-ae57-f1572abcd8ab"]
}, Closed]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Benchmark points", "Chapter",
 CellChangeTimes->{{3.8703190029788914`*^9, 3.870319006194838*^9}, {
  3.873433841562858*^9, 3.873433846842668*^9}, {3.93556611452702*^9, 
  3.9355661174304037`*^9}},
 Background->GrayLevel[
  0.85],ExpressionUUID->"7d0fc0a0-ccf8-4eb9-9528-500a330aafcd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"benchmarkpt", "=", 
   RowBox[{"calcProdDec", "[", 
    RowBox[{
    "MHiggs", ",", "500.", ",", "0", ",", "5.", ",", "100.", ",", "2."}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"benchmarkpt", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "//", "TableForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"benchmarkpt", "[", 
   RowBox[{"[", 
    RowBox[{"2", ",", "2"}], "]"}], "]"}], "//", 
  "TableForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"benchmarkpt", "[", 
   RowBox[{"[", 
    RowBox[{"3", ",", "2"}], "]"}], "]"}], "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.935565777674717*^9, 3.935565806543343*^9}, 
   3.935565958169148*^9, {3.937917060672373*^9, 3.9379170609144096`*^9}, {
   3.937917094455105*^9, 3.9379171235498924`*^9}, {3.9380026129298553`*^9, 
   3.9380026146982307`*^9}},
 CellLabel->
  "In[123]:=",ExpressionUUID->"2a1d7888-76cc-4851-b80a-f2abc469f328"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"m_h[GeV] =\"\>", "125.1`"},
    {"\<\"m_s[GeV] =\"\>", "500.`"},
    {"\<\"sin_s[-] =\"\>", "0"},
    {"\<\"tanBeta[-] =\"\>", "5.`"},
    {"\<\"m_N[GeV] =\"\>", "100.`"},
    {"\<\"num_nu =\"\>", "2.`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.935565791045379*^9, 3.935565807120661*^9}, 
   3.9355659584421206`*^9, 3.9355661239814568`*^9, 3.9376271263367386`*^9, 
   3.937916407669573*^9, {3.937916477755347*^9, 3.937916567670063*^9}, 
   3.9379166383946953`*^9, {3.937917057424734*^9, 3.93791706117434*^9}, {
   3.93791709493178*^9, 3.937917123961067*^9}, {3.9379171850539207`*^9, 
   3.937917209031943*^9}, {3.9379175303551598`*^9, 3.937917551911495*^9}, 
   3.937917634446787*^9, {3.938002605835018*^9, 3.9380026149561367`*^9}, {
   3.938002675834118*^9, 3.938002696934513*^9}},
 CellLabel->
  "Out[124]//TableForm=",ExpressionUUID->"8e8f2704-a7d8-424f-8e65-\
ee953d62f951"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"scalar_type\"\>", "\<\"sig(pp_H)[pb]\"\>", "\<\"ggH_NLO[pb]\"\>", "\
\<\"WBF_LO[pb]\"\>", "\<\"ZBF_LO[pb]\"\>", "\<\"WH_NLO[pb]\"\>", \
"\<\"ZH_NLO[pb]\"\>"},
    {"\<\"h\"\>", "54.164428711679996`", "47.81469231168`", "2.880008`", 
     "1.1582560000000002`", "1.5333136`", "0.7781588000000002`"},
    {"\<\"s\"\>", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.935565791045379*^9, 3.935565807120661*^9}, 
   3.9355659584421206`*^9, 3.9355661239814568`*^9, 3.9376271263367386`*^9, 
   3.937916407669573*^9, {3.937916477755347*^9, 3.937916567670063*^9}, 
   3.9379166383946953`*^9, {3.937917057424734*^9, 3.93791706117434*^9}, {
   3.93791709493178*^9, 3.937917123961067*^9}, {3.9379171850539207`*^9, 
   3.937917209031943*^9}, {3.9379175303551598`*^9, 3.937917551911495*^9}, 
   3.937917634446787*^9, {3.938002605835018*^9, 3.9380026149561367`*^9}, {
   3.938002675834118*^9, 3.938002696938492*^9}},
 CellLabel->
  "Out[125]//TableForm=",ExpressionUUID->"4605476f-4fa2-bf4c-a65d-\
59683ad2cbe4"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"scalar_type\"\>", "\<\"total_width[GeV]\"\>", "\<\"br(ss/hh)\"\>", \
"\<\"br(WW)\"\>", "\<\"br(ZZ)\"\>", "\<\"br(ZpZp)\"\>", \
"\<\"num_nu*br(NN)\"\>", "\<\"br(mumu)\"\>", "\<\"br(tata)\"\>", \
"\<\"br(ss)\"\>", "\<\"br(cc)\"\>", "\<\"br(bb)\"\>", "\<\"br(tt)\"\>", \
"\<\"br(gg)\"\>", "\<\"br(aa)\"\>", "\<\"br(Za)\"\>"},
    {"\<\"h\"\>", "0.004048647765948214`", "0.`", "0.21014464272141592`", 
     "0.02623667861965943`", "0.`", "0.`", "0.00022786224771054875`", 
     "0.0639604323437249`", "0.00021902443941582015`", 
     "0.029295081027028023`", "0.5851246207065685`", "0.`", 
     "0.08094392018770773`", "0.00229244671938933`", "0.0015552909873798894`"},
    {"\<\"s\"\>", "0.9214556464051069`", "0.`", "0.`", "0.`", 
     "0.8903295333382159`", "0.10967046666178398`", "0.`", "0.`", "0.`", 
     "0.`", "0.`", "0.`", "0.`", "0.`", "0.`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.935565791045379*^9, 3.935565807120661*^9}, 
   3.9355659584421206`*^9, 3.9355661239814568`*^9, 3.9376271263367386`*^9, 
   3.937916407669573*^9, {3.937916477755347*^9, 3.937916567670063*^9}, 
   3.9379166383946953`*^9, {3.937917057424734*^9, 3.93791706117434*^9}, {
   3.93791709493178*^9, 3.937917123961067*^9}, {3.9379171850539207`*^9, 
   3.937917209031943*^9}, {3.9379175303551598`*^9, 3.937917551911495*^9}, 
   3.937917634446787*^9, {3.938002605835018*^9, 3.9380026149561367`*^9}, {
   3.938002675834118*^9, 3.9380026969415207`*^9}},
 CellLabel->
  "Out[126]//TableForm=",ExpressionUUID->"27a9e3a6-6fb3-314b-a4ca-\
43bff00d0d27"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"benchmarkpt", "=", 
   RowBox[{"calcProdDec", "[", 
    RowBox[{
    "MHiggs", ",", "500.", ",", "0.15", ",", "3.", ",", "100.", ",", "2."}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"benchmarkpt", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "//", "TableForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"benchmarkpt", "[", 
   RowBox[{"[", 
    RowBox[{"2", ",", "2"}], "]"}], "]"}], "//", 
  "TableForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"benchmarkpt", "[", 
   RowBox[{"[", 
    RowBox[{"3", ",", "2"}], "]"}], "]"}], "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.9376271341566734`*^9, 3.9376271363359194`*^9}, 
   3.938002721165205*^9},
 CellLabel->
  "In[127]:=",ExpressionUUID->"f511f7d4-1367-44c9-b0e8-9165d5416c0d"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"m_h[GeV] =\"\>", "125.1`"},
    {"\<\"m_s[GeV] =\"\>", "500.`"},
    {"\<\"sin_s[-] =\"\>", "0.14943813247359922`"},
    {"\<\"tanBeta[-] =\"\>", "3.`"},
    {"\<\"m_N[GeV] =\"\>", "100.`"},
    {"\<\"num_nu =\"\>", "2.`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.937627138396576*^9, 3.937917642553795*^9, 
  3.9380027244280357`*^9},
 CellLabel->
  "Out[128]//TableForm=",ExpressionUUID->"ebe7b7f6-f0fa-7f4f-9075-\
73608ce98d5d"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"scalar_type\"\>", "\<\"sig(pp_H)[pb]\"\>", "\<\"ggH_NLO[pb]\"\>", "\
\<\"WBF_LO[pb]\"\>", "\<\"ZBF_LO[pb]\"\>", "\<\"WH_NLO[pb]\"\>", \
"\<\"ZH_NLO[pb]\"\>"},
    {"\<\"h\"\>", "52.95484193629527`", "46.74690629667073`", 
     "2.815692365686829`", "1.132390110274334`", "1.4990720156762718`", 
     "0.7607811479870974`"},
    {"\<\"s\"\>", "0.12017581839691117`", "0.10765670329408486`", 
     "0.008345377006880515`", "0.003814263828673246`", 
     "0.00023649329007991612`", "0.00012298097719264382`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.937627138396576*^9, 3.937917642553795*^9, 
  3.9380027244310265`*^9},
 CellLabel->
  "Out[129]//TableForm=",ExpressionUUID->"55e68889-0d64-7848-95cd-\
fc37c5a46659"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"scalar_type\"\>", "\<\"total_width[GeV]\"\>", "\<\"br(ss/hh)\"\>", \
"\<\"br(WW)\"\>", "\<\"br(ZZ)\"\>", "\<\"br(ZpZp)\"\>", \
"\<\"num_nu*br(NN)\"\>", "\<\"br(mumu)\"\>", "\<\"br(tata)\"\>", \
"\<\"br(ss)\"\>", "\<\"br(cc)\"\>", "\<\"br(bb)\"\>", "\<\"br(tt)\"\>", \
"\<\"br(gg)\"\>", "\<\"br(aa)\"\>", "\<\"br(Za)\"\>"},
    {"\<\"h\"\>", "0.004755324598382019`", "0.`", "0.17492007684426567`", 
     "0.021838871459469427`", "0.1676205751475983`", "0.`", 
     "0.0001896678466948821`", "0.05323934788758069`", 
     "0.00018231143690956012`", "0.0243846226962821`", "0.48704569525071323`",
      "0.`", "0.06737605373114289`", "0.0019081854817900657`", 
     "0.0012945922175533965`"},
    {"\<\"s\"\>", "4.485118355223899`", "0.11804919191807388`", 
     "0.17495453837004205`", "0.08369709174214247`", "0.49675279098259223`", 
     "0.06118982731971125`", "1.8358862757945653`*^-8", 
     "5.159125628748927`*^-6", "1.3934752840528392`*^-8", 
     "1.8655403436474676`*^-6", "0.0000374984290538951`", 
     "0.06511005938891896`", "0.0001992154839330424`", 
     "1.5620895495521958`*^-7", "2.5731969895717546`*^-6"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.937627138396576*^9, 3.937917642553795*^9, 
  3.938002724434559*^9},
 CellLabel->
  "Out[130]//TableForm=",ExpressionUUID->"e842ee24-a6d9-0e43-9371-\
448008ded405"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"benchmarkpt", "=", 
   RowBox[{"calcProdDec", "[", 
    RowBox[{
    "MHiggs", ",", "500.", ",", "0.15", ",", "10.", ",", "100.", ",", "2."}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"benchmarkpt", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "//", "TableForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"benchmarkpt", "[", 
   RowBox[{"[", 
    RowBox[{"2", ",", "2"}], "]"}], "]"}], "//", 
  "TableForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"benchmarkpt", "[", 
   RowBox[{"[", 
    RowBox[{"3", ",", "2"}], "]"}], "]"}], "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.937627162876479*^9, 3.937627162963631*^9}, 
   3.938002722236494*^9},
 CellLabel->
  "In[131]:=",ExpressionUUID->"24b213d8-cd90-49d7-ba6f-e99043f28754"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"m_h[GeV] =\"\>", "125.1`"},
    {"\<\"m_s[GeV] =\"\>", "500.`"},
    {"\<\"sin_s[-] =\"\>", "0.14943813247359922`"},
    {"\<\"tanBeta[-] =\"\>", "10.`"},
    {"\<\"m_N[GeV] =\"\>", "100.`"},
    {"\<\"num_nu =\"\>", "2.`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.9376271637565536`*^9, 3.938002725822256*^9},
 CellLabel->
  "Out[132]//TableForm=",ExpressionUUID->"bca08ac5-b86d-5145-a1c6-\
576bcaa18982"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"scalar_type\"\>", "\<\"sig(pp_H)[pb]\"\>", "\<\"ggH_NLO[pb]\"\>", "\
\<\"WBF_LO[pb]\"\>", "\<\"ZBF_LO[pb]\"\>", "\<\"WH_NLO[pb]\"\>", \
"\<\"ZH_NLO[pb]\"\>"},
    {"\<\"h\"\>", "52.95484193629527`", "46.74690629667073`", 
     "2.815692365686829`", "1.132390110274334`", "1.4990720156762718`", 
     "0.7607811479870974`"},
    {"\<\"s\"\>", "0.12017581839691117`", "0.10765670329408486`", 
     "0.008345377006880515`", "0.003814263828673246`", 
     "0.00023649329007991612`", "0.00012298097719264382`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.9376271637565536`*^9, 3.9380027258253937`*^9},
 CellLabel->
  "Out[133]//TableForm=",ExpressionUUID->"d63be61a-9ef3-fb4e-80be-\
21bd3fae4299"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"scalar_type\"\>", "\<\"total_width[GeV]\"\>", "\<\"br(ss/hh)\"\>", \
"\<\"br(WW)\"\>", "\<\"br(ZZ)\"\>", "\<\"br(ZpZp)\"\>", \
"\<\"num_nu*br(NN)\"\>", "\<\"br(mumu)\"\>", "\<\"br(tata)\"\>", \
"\<\"br(ss)\"\>", "\<\"br(cc)\"\>", "\<\"br(bb)\"\>", "\<\"br(tt)\"\>", \
"\<\"br(gg)\"\>", "\<\"br(aa)\"\>", "\<\"br(Za)\"\>"},
    {"\<\"h\"\>", "0.004029972476165192`", "0.`", "0.20640382759138062`", 
     "0.02576963571496637`", "0.017801144400309256`", "0.`", 
     "0.00022380603893567427`", "0.06282186345166804`", 
     "0.0002151255537425824`", "0.028773595059447144`", "0.5747087328411947`",
      "0.`", "0.07950302577611926`", "0.0022516385443074652`", 
     "0.0015276050279290406`"},
    {"\<\"s\"\>", "2.172943995630166`", "0.2275757848961307`", 
     "0.3611192064550354`", "0.17275703525100572`", "0.09228013049543576`", 
     "0.011367032762688613`", "3.789406100768784`*^-8", 
     "0.000010648819804349042`", "2.8762368411817805`*^-8", 
     "3.850614306917483`*^-6", "0.00007739955230319292`", 
     "0.1343920151933181`", "0.0004111956062511306`", 
     "3.2242692518948977`*^-7", "5.3112703653405355`*^-6"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.9376271637565536`*^9, 3.938002725828413*^9},
 CellLabel->
  "Out[134]//TableForm=",ExpressionUUID->"a681e864-b7f0-9f46-ba7a-\
72dff4b7b72f"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1428., 735.75},
WindowMargins->{{-6, Automatic}, {Automatic, -6}},
TaggingRules-><|"TryRealOnly" -> False|>,
Magnification:>0.9 Inherited,
FrontEndVersion->"14.0 for Microsoft Windows (64-bit) (December 12, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"29091efe-19d3-48fb-aa68-9ec35fe6de77"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 381, 6, 76, "Chapter",ExpressionUUID->"aeac0ebd-c6c0-4629-9f43-d445a9482abe"],
Cell[CellGroupData[{
Cell[986, 32, 230, 4, 59, "Section",ExpressionUUID->"f2c4703d-5fb7-4d02-9561-ac64f41b7952"],
Cell[CellGroupData[{
Cell[1241, 40, 211, 4, 48, "Subsection",ExpressionUUID->"146fe5b3-41e0-407d-a8b3-070b5b51b481"],
Cell[1455, 46, 4249, 83, 368, "Input",ExpressionUUID->"995f432b-f1c8-497f-aa89-7d344b881123",
 InitializationCell->True],
Cell[5707, 131, 646, 19, 107, "Input",ExpressionUUID->"4f713a29-04d9-734c-82e2-97d4e6da0cbe",
 InitializationCell->True],
Cell[6356, 152, 544, 16, 79, "Input",ExpressionUUID->"44bfb4a4-2c7d-0846-bac6-2b51f18b8938",
 InitializationCell->True],
Cell[6903, 170, 462, 13, 58, "Input",ExpressionUUID->"59ad15e3-4d76-d04d-aaa0-0ebe02c68265",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[7402, 188, 159, 3, 34, "Subsection",ExpressionUUID->"85777746-52e0-4330-b975-729f0a0d4300"],
Cell[7564, 193, 3891, 102, 317, "Input",ExpressionUUID->"e786ee44-db52-4d90-8167-9ac0c3294ea3",
 InitializationCell->True],
Cell[11458, 297, 4574, 128, 180, "Input",ExpressionUUID->"dbe60f6d-c87a-4566-9878-c8bca3b3bf08",
 InitializationCell->True],
Cell[16035, 427, 2165, 59, 111, "Input",ExpressionUUID->"63934c8d-3bec-4eb1-9697-85d1ba1c2b24",
 InitializationCell->True],
Cell[18203, 488, 4061, 108, 313, "Input",ExpressionUUID->"00be9202-d5c2-4a07-ae18-8601898ec0c7",
 InitializationCell->True],
Cell[22267, 598, 3940, 89, 229, "Input",ExpressionUUID->"bc0d8a6d-cecc-4131-8f4d-85835e53f745",
 InitializationCell->True],
Cell[26210, 689, 5714, 131, 367, "Input",ExpressionUUID->"a49d41d8-7ad5-45ed-bcec-2aa206d9d5ac",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[31961, 825, 310, 5, 34, "Subsection",ExpressionUUID->"e0ebd308-9a31-4e32-a7d4-5d7a234283b5"],
Cell[32274, 832, 19797, 602, 879, "Input",ExpressionUUID->"82415204-9941-4e72-ab8e-8fa02d724a6b",
 InitializationCell->True],
Cell[52074, 1436, 7650, 182, 280, "Input",ExpressionUUID->"56996ba4-3d28-4f05-afe9-98c1b98f70b6",
 InitializationCell->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[59773, 1624, 226, 4, 47, "Section",ExpressionUUID->"e0fa3912-412a-4677-8f54-767f926c97a0"],
Cell[CellGroupData[{
Cell[60024, 1632, 275, 4, 48, "Subsection",ExpressionUUID->"33017db6-9fb3-ba4e-a1dd-4115569759d5"],
Cell[60302, 1638, 1157, 36, 105, "Input",ExpressionUUID->"def434b1-581a-ff47-93fe-508cd9366b50",
 InitializationCell->True],
Cell[61462, 1676, 2524, 76, 229, "Input",ExpressionUUID->"e4dbdd0f-57fc-9547-bd47-d6df4b7f64b2",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[64023, 1757, 253, 4, 34, "Subsection",ExpressionUUID->"1f18abe7-c776-483e-93b9-875190473f92"],
Cell[64279, 1763, 3846, 91, 255, "Input",ExpressionUUID->"32d87557-e7ef-41dd-a10f-15b31fc6f3d5",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[68162, 1859, 350, 6, 34, "Subsection",ExpressionUUID->"be6de857-37b1-4938-9fb7-0a129b128367"],
Cell[68515, 1867, 1738, 44, 128, "Input",ExpressionUUID->"317a7a4c-8b31-42a8-a637-43602a0eeadd",
 InitializationCell->True],
Cell[70256, 1913, 2998, 80, 75, "Input",ExpressionUUID->"7e3487b7-3fd5-497a-b0e0-fe27b03ce9ac",
 InitializationCell->True],
Cell[73257, 1995, 2080, 54, 195, "Input",ExpressionUUID->"a8fe40ec-64bc-4fc1-a3a4-f0670e98db7c",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[75374, 2054, 205, 4, 34, "Subsection",ExpressionUUID->"e7dbddeb-8f09-4176-9020-a4f283f953e0"],
Cell[75582, 2060, 1270, 34, 133, "Input",ExpressionUUID->"df25b9b8-61e7-4013-ab07-99e22f732e0a",
 InitializationCell->True],
Cell[76855, 2096, 8087, 228, 392, "Input",ExpressionUUID->"509bd4b5-df20-4456-bf87-113f38a7d802",
 InitializationCell->True],
Cell[84945, 2326, 1079, 26, 92, "Input",ExpressionUUID->"b7ede7c1-1da7-4cc7-ac03-33466a7b56bf",
 InitializationCell->True],
Cell[86027, 2354, 2066, 59, 137, "Input",ExpressionUUID->"0e343658-1520-4f91-a064-1425c7d8b9a7",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[88130, 2418, 257, 4, 34, "Subsection",ExpressionUUID->"f703ff62-5a13-4583-b5d6-ac5b84e1cf88"],
Cell[88390, 2424, 2774, 78, 154, "Input",ExpressionUUID->"e59220ed-b513-477a-9416-3c1d820a472a",
 InitializationCell->True],
Cell[91167, 2504, 5650, 159, 220, "Input",ExpressionUUID->"2403db22-64c4-4e3e-b800-cf43155287b5",
 InitializationCell->True],
Cell[96820, 2665, 9977, 281, 432, "Input",ExpressionUUID->"808be3fe-068d-49b1-8122-24e8bc26f0b8",
 InitializationCell->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[106846, 2952, 406, 6, 47, "Section",ExpressionUUID->"feee4195-dddf-44e2-b864-0bbdd0284fef"],
Cell[CellGroupData[{
Cell[107277, 2962, 264, 4, 48, "Subsection",ExpressionUUID->"902489db-6997-43fd-9d50-7dd516a57911"],
Cell[107544, 2968, 7532, 158, 345, "Input",ExpressionUUID->"8ccc7717-680f-4c0d-89f3-6067c88957f2",
 InitializationCell->True],
Cell[115079, 3128, 3903, 73, 194, "Input",ExpressionUUID->"78f3aff0-4e70-4253-9323-86803ac18393",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[119019, 3206, 310, 5, 34, "Subsection",ExpressionUUID->"fad29f7d-a135-0344-b6fe-7bf6d75f9da4"],
Cell[119332, 3213, 2321, 55, 143, "Input",ExpressionUUID->"0cc624b8-2ee4-4dac-a35b-5343deab4dfa",
 InitializationCell->True],
Cell[121656, 3270, 1186, 32, 57, "Input",ExpressionUUID->"04baa924-9954-450c-9323-102041a359d1",
 InitializationCell->True],
Cell[122845, 3304, 2945, 75, 165, "Input",ExpressionUUID->"15b4e5e0-04b7-49bb-9980-fbb4ef4ae8b6",
 InitializationCell->True],
Cell[125793, 3381, 1995, 52, 92, "Input",ExpressionUUID->"b3453f13-9aed-49eb-ae57-f1572abcd8ab",
 InitializationCell->True]
}, Closed]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[127849, 3440, 290, 5, 76, "Chapter",ExpressionUUID->"7d0fc0a0-ccf8-4eb9-9528-500a330aafcd"],
Cell[CellGroupData[{
Cell[128164, 3449, 951, 24, 77, "Input",ExpressionUUID->"2a1d7888-76cc-4851-b80a-f2abc469f328"],
Cell[129118, 3475, 1272, 29, 116, "Output",ExpressionUUID->"8e8f2704-a7d8-424f-8e65-ee953d62f951"],
Cell[130393, 3506, 1427, 29, 70, "Output",ExpressionUUID->"4605476f-4fa2-bf4c-a65d-59683ad2cbe4"],
Cell[131823, 3537, 1920, 36, 70, "Output",ExpressionUUID->"27a9e3a6-6fb3-314b-a4ca-43bff00d0d27"]
}, Open  ]],
Cell[CellGroupData[{
Cell[133780, 3578, 804, 22, 77, "Input",ExpressionUUID->"f511f7d4-1367-44c9-b0e8-9165d5416c0d"],
Cell[134587, 3602, 822, 23, 116, "Output",ExpressionUUID->"ebe7b7f6-f0fa-7f4f-9075-73608ce98d5d"],
Cell[135412, 3627, 1105, 26, 70, "Output",ExpressionUUID->"55e68889-0d64-7848-95cd-fc37c5a46659"],
Cell[136520, 3655, 1720, 35, 72, "Output",ExpressionUUID->"e842ee24-a6d9-0e43-9371-448008ded405"]
}, Open  ]],
Cell[CellGroupData[{
Cell[138277, 3695, 801, 22, 77, "Input",ExpressionUUID->"24b213d8-cd90-49d7-ba6f-e99043f28754"],
Cell[139081, 3719, 798, 22, 116, "Output",ExpressionUUID->"bca08ac5-b86d-5145-a1c6-576bcaa18982"],
Cell[139882, 3743, 1082, 25, 70, "Output",ExpressionUUID->"d63be61a-9ef3-fb4e-80be-21bd3fae4299"],
Cell[140967, 3770, 1698, 34, 122, "Output",ExpressionUUID->"a681e864-b7f0-9f46-ba7a-72dff4b7b72f"]
}, Open  ]]
}, Open  ]]
}
]
*)

